<?xml version="1.0" encoding="ISO-8859-1" ?>
<?rscvt type="out-filter" version="1.0" name="CST 300R (.cst)" file-ext="*.cst;" cmd-ext="cst_out" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xlink="http://ww.w3.org/TR/xlink" version="1.0">
	<!-- Ausgabe - Deklarationen -->
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:strip-space elements="*"/>
	<xsl:decimal-format name="european" decimal-separator="," grouping-separator="."/>
	<!-- Variablen - Deklarationen -->
	<xsl:variable name="zerostr" select="string('                                                                                                                                                                                                                                                      ')" />
	<!-- Key Definitionen -->
	<xsl:key name="GetCatWithID" match="category" use="@id"/>
	<!-- Transformationsteil zum Wandel von RSXML nach CST -->
	<xsl:template match="robostation">
		<xsl:for-each select="measurements">
			<xsl:for-each select="mfolder">
				<xsl:variable name="x_offset" select="sum(@x_offset)"/>
				<xsl:variable name="y_offset" select="sum(@y_offset)"/>
				<xsl:variable name="z_offset" select="sum(@z_offset)"/>
				<xsl:for-each select="polygon">
					<xsl:variable name="polycatids" select="@categories"/>
					<xsl:for-each select="point">
						<!-- Punkt ID -->
						<xsl:text>SS      </xsl:text>
						<xsl:value-of select="@id"/>
						<xsl:text>,0.000,</xsl:text>
						<xsl:text>&#13;&#10;</xsl:text>
						<!-- Punkt Koordinanten -->
						<xsl:text>XYZ     </xsl:text>
						<xsl:value-of select="@y + $y_offset"/>
						<xsl:text>,</xsl:text>
						<xsl:value-of select="@x + $x_offset"/>
						<xsl:text>,</xsl:text>
						<xsl:value-of select="@z + $z_offset"/>
						<xsl:text>&#13;&#10;</xsl:text>
					</xsl:for-each>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
