<?xml version="1.0" encoding="ISO-8859-1" ?>
<?rscvt type="out-filter" version="1.0" name="Sokkia SDR33 (.sdr)" file-ext="*.sdr;" cmd-ext="sdr_out" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xlink="http://ww.w3.org/TR/xlink" version="1.0">
	<!-- Ausgabe-Deklarationen -->
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:strip-space elements="*"/>
	<xsl:decimal-format name="european" decimal-separator="," grouping-separator="."/>
	<!-- Variablen - Deklarationen -->
	<xsl:variable name="zerostr" select="string('                                                                                                                                                                                                                                                      ')" />
	<xsl:variable name="LastPidPos" select="15"/>
	<!-- Parameter -->
	<xsl:param name="alpha"  select="0"/>
	<xsl:param name="prefix" select="'#'"/>
	<!-- Key Definitionen -->
	<xsl:key name="GetCatWithID" match="category" use="@id"/>
	<!-- Hilfstemplate zum Herauschreiben einer PID -->
	<xsl:template name="WritePID">
		<xsl:param name="PID"/>
		<xsl:if test="string-length($PID) &gt; $LastPidPos">
			<xsl:variable name="StartPos" select="string-length($PID) - $LastPidPos"/>
			<xsl:value-of select="substring($PID, $StartPos)"/>
		</xsl:if>
		<xsl:if test="string-length($PID) &lt;= $LastPidPos">
			<xsl:value-of select="concat(substring($zerostr, 1, $LastPidPos - string-length($PID) + 1), $PID)"/>
		</xsl:if>
	</xsl:template>
	<!-- Transformationsteil zum Wandel von RSXML nach SDR -->
	<xsl:template match="robostation">
		<!-- Angle Unit:gon/Distance Unit:m/Pessure Unit:mbar/Temp Unit:Celsius/Init Coord Setup:Known/CoordSys: NEZ -->
		<xsl:text>00NMSDR33 V04-02.00                     213111</xsl:text>
		<xsl:text>&#13;&#10;</xsl:text>
		<xsl:for-each select="measurements">
			<xsl:for-each select="mfolder">
				<xsl:variable name="x_offset" select="sum(@x_offset)"/>
				<xsl:variable name="y_offset" select="sum(@y_offset)"/>
				<xsl:variable name="z_offset" select="sum(@z_offset)"/>
				<xsl:for-each select="polygon">
					<xsl:variable name="polycatids" select="@categories"/>
					<xsl:for-each select="point">
						<!-- Punkt ID Ausgabe -->
						<xsl:text>08KI</xsl:text>
						<!-- Punkt ID -->
						<xsl:if test="$alpha='0'">
							<xsl:call-template name="WritePID">
								<xsl:with-param name="PID" select="@id"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="$alpha='1'">
							<xsl:if test="@name">
								<xsl:call-template name="WritePID">
									<xsl:with-param name="PID" select="@name"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="not(@name)">
								<xsl:variable name="NewPID" select="concat($prefix, @id)"/>
								<xsl:call-template name="WritePID">
									<xsl:with-param name="PID" select="$NewPID"/>
								</xsl:call-template>								
							</xsl:if>						
						</xsl:if>
						<!-- Punkt Koordinanten Ausgabe -->
						<xsl:variable name="x" select="format-number(@x + $x_offset, '#0.0000')"/>
						<xsl:variable name="y" select="format-number(@y + $y_offset, '#0.0000')"/>
						<xsl:variable name="z" select="format-number(@z + $z_offset, '#0.0000')"/>
						<xsl:value-of select="concat($y, substring($zerostr, 1, 16 - string-length($y)))"/>
						<xsl:value-of select="concat($x, substring($zerostr, 1, 16 - string-length($x)))"/>
						<xsl:value-of select="concat($z, substring($zerostr, 1, 16 - string-length($z)))"/>
						<xsl:value-of select="concat(@comment, substring($zerostr, 1, 16 - string-length(@comment)))"/>
						<xsl:text>&#13;&#10;</xsl:text>
					</xsl:for-each>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
