<?xml version="1.0" encoding="ISO-8859-1" ?>
<!-- Copyright 2018, AndroTec GmbH -->
<?rscub type="report" version="1.0" name="de:Tabellenkalkulation (.csv)|en:Spreadsheet (.csv)|fr:Spreadsheet (.csv)" restrictions="13" file-ext="csv" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xlink="http://ww.w3.org/TR/xlink" xmlns:strres="strres:xml2csv" version="1.0">
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:strip-space elements="*"/>
	<xsl:decimal-format name="european" decimal-separator="," grouping-separator="."/>
	<!-- ***************************************** String Resourcen ***************************************** -->
	<strres:xml2csv>
		<strres xml:lang="de">
			<s_project>Projekt</s_project>
			<s_cal_prot>Berechnungsprotokoll:</s_cal_prot>
			<s_date>Datum</s_date>
			<s_time>Uhrzeit</s_time>
			<s_initial_survey>Voraufnahme:</s_initial_survey>
			<s_final_survey>Nachaufnahme:</s_final_survey>
			<s_file>Datei:</s_file>
			<s_dtm_points>DGM Punkte:</s_dtm_points>
			<s_all>Alle</s_all>
			<s_gaps>Aussparungen:</s_gaps>
			<s_boundary>Begrenzung:</s_boundary>
			<s_offset>Hhenverschiebung:</s_offset>
			<s_points>Punkte:</s_points>
			<s_triangles>Dreiecke:</s_triangles>
			<s_base>Grundflche (2D):</s_base>
			<s_surface>Oberflche (3D):</s_surface>
			<s_surface_perimeter>Umfang Oberflche:</s_surface_perimeter>
			<s_point_low>Niedrigster Punkt:</s_point_low>
			<s_point_high>Hchster Punkt:</s_point_high>
			<s_plane>Horizontalebene</s_plane>
			<s_height>Hhe:</s_height>
			<s_result>Zusammenfassung Berechnungsergebnisse:</s_result>
			<s_areas>Anzahl der Gebiete:</s_areas>
			<s_cut>Abtrag</s_cut>
			<s_fill>Auftrag</s_fill>
			<s_no_calc>nicht berechnet</s_no_calc>
			<s_balance>Bilanz:</s_balance>
			<s_base_perimeter>Umfang Grundflche:</s_base_perimeter>
			<s_origin_surface>Oberflche Voraufnahme (3D):</s_origin_surface>
			<s_target_surface>Oberflche Nachaufnahme (3D):</s_target_surface>
			<s_origin_triangles>Dreiecke der Voraufnahme:</s_origin_triangles>
			<s_target_triangles>Dreiecke der Nachaufnahme:</s_target_triangles>
			<s_coord_title>******************************** KOORDINATENVERZEICHNIS ******************************</s_coord_title>
			<s_coord_header>Nr;Rechtswert;Hochwert;Hhe;Nr;Rechtswert;Hochwert;Hhe</s_coord_header>
			<s_segment_title>******************************** STRECKENVERZEICHNIS *********************************</s_segment_title>
			<s_segment_header>Punkt 1;Punkt 2;Horizontal;Schrg;Punkt 1;Punkt 2;Horizontal;Schrg</s_segment_header>
			<s_protocol_title>*************************** PROTOKOLL AUF-/ABTRAGSBERECHNUNG *************************</s_protocol_title>
			<s_protocol_header_1>;;;;ABTRAGSBEREICH;;AUFTRAGSBEREICH</s_protocol_header_1>
			<s_protocol_header_2>Nr;Punkt 1;Punkt 2;Punkt 3;Grundflche;Volumen;Grundflche;Volumen</s_protocol_header_2>
			<s_protocol_footer>;;;Summe;</s_protocol_footer>
			<s_area_title>***************************** PROTOKOLL FLCHENBERECHNUNG ****************************</s_area_title>
			<s_area_header>Nr;Punkt 1;Punkt 2;Punkt 3;Grundfl. Auftrag;Grundfl. Abtrag;Oberflche</s_area_header>
			<s_area_footer>;;;Summe;</s_area_footer>
		</strres>
		<strres xml:lang="en">
			<s_project>Project</s_project>
			<s_cal_prot>Calculation Report:</s_cal_prot>
			<s_date>Date</s_date>
			<s_time>Time</s_time>
			<s_initial_survey>Initial Survey:</s_initial_survey>
			<s_final_survey>Final Survey:</s_final_survey>
			<s_file>File:</s_file>
			<s_dtm_points>DTM Points:</s_dtm_points>
			<s_all>All</s_all>
			<s_gaps>Exclusions:</s_gaps>
			<s_boundary>Border:</s_boundary>
			<s_offset>Height Offset:</s_offset>
			<s_points>Points:</s_points>
			<s_triangles>Triangles:</s_triangles>
			<s_base>Base Area (2D):</s_base>
			<s_surface>Surface Area (3D):</s_surface>
			<s_surface_perimeter>Surface Perimeter:</s_surface_perimeter>
			<s_point_low>Lowest Point:</s_point_low>
			<s_point_high>Highest Point:</s_point_high>
			<s_plane>Horizontal Plane</s_plane>
			<s_height>Height:</s_height>
			<s_result>Summary of Calculation Results:</s_result>
			<s_areas>Number of areas:</s_areas>
			<s_cut>Cut Volume</s_cut>
			<s_fill>Fill Volume</s_fill>
			<s_no_calc>not determined</s_no_calc>
			<s_balance>Balance:</s_balance>
			<s_base_perimeter>Base Perimeter:</s_base_perimeter>
			<s_origin_surface>Surface Area of Initial Survey (3D):</s_origin_surface>
			<s_target_surface>Surface Area of Final Survey (3D):</s_target_surface>
			<s_origin_triangles>Triangles of initial survey:</s_origin_triangles>
			<s_target_triangles>Triangles of final survey:</s_target_triangles>
			<s_coord_title>******************************** COORDINATE LIST ******************************</s_coord_title>
			<s_coord_header>No;Easting;Northing;Height;No;Easting;Northing;Height</s_coord_header>
			<s_segment_title>******************************** SEGMENT LIST *********************************</s_segment_title>
			<s_segment_header>Point 1;Point 2;Horizontal;Diagonal;Point 1;Point 2;Horizontal;Diagonal</s_segment_header>
			<s_protocol_title>*************************** REPORT OF FILL/CUT CALCULATION *************************</s_protocol_title>
			<s_protocol_header_1>;;;;CUT AREA;;FILL AREA</s_protocol_header_1>
			<s_protocol_header_2>No;Point 1;Point 2;Point 3;Base Area;Volume;Base Area;Volume</s_protocol_header_2>
			<s_protocol_footer>;;;Sum;</s_protocol_footer>
			<s_area_title>***************************** REPORT OF AREA CALCULATION ****************************</s_area_title>
			<s_area_header>No;Point 1;Point 2;Point 3;Fill Area;Cut Area;Surface Area</s_area_header>
			<s_area_footer>;;;Sum;</s_area_footer>
		</strres>
		<strres xml:lang="fr">
			<s_project>Projekt</s_project>
			<s_cal_prot>Protocole de calcul:</s_cal_prot>
			<s_date>Date</s_date>
			<s_time>Horaire</s_time>
			<s_initial_survey>Relev initial:</s_initial_survey>
			<s_final_survey>Relev final:</s_final_survey>
			<s_file>Fichier:</s_file>
			<s_dtm_points>MNT Points:</s_dtm_points>
			<s_all>Tous</s_all>
			<s_gaps>Exclusions:</s_gaps>
			<s_boundary>Dlimitation:</s_boundary>
			<s_offset>Dplacement de la hauteur:</s_offset>
			<s_points>Points:</s_points>
			<s_triangles>Triangles:</s_triangles>
			<s_base>Surface de base (2D):</s_base>
			<s_surface>Superficie (3D):</s_surface>
			<s_surface_perimeter>Primtre de Superficie:</s_surface_perimeter>
			<s_point_low>Point le plus bas:</s_point_low>
			<s_point_high>Point le plus lev:</s_point_high>
			<s_plane>Plan horizontal</s_plane>
			<s_height>Hauteur:</s_height>
			<s_result>Rsum des rsultats de calcul:</s_result>
			<s_areas>Nombre de terrains:</s_areas>
            <s_cut>Dblai</s_cut>
            <s_fill>Remblai</s_fill>
			<s_no_calc>non calcul</s_no_calc>
			<s_balance>Bilan:</s_balance>
			<s_base_perimeter>Primtre surface de base:</s_base_perimeter>
			<s_origin_surface>Superficie Relev initial (3D):</s_origin_surface>
			<s_target_surface>Superficie Relev final (3D):</s_target_surface>
			<s_origin_triangles>Triangle du relev initial:</s_origin_triangles>
			<s_target_triangles>Triangle du relev final:</s_target_triangles>
			<s_coord_title>******************************** LISTE DE COORDONNEES ******************************</s_coord_title>
			<s_coord_header>N;Valeur d'abscisses;Valeur d'ordonnes;Hauteur;N;Valeur d'abscisses;Valeur d'ordonnes;Hauteur</s_coord_header>
			<s_segment_title>******************************** LISTE DE SEGMENT *********************************</s_segment_title>
			<s_segment_header>Point 1;Point 2;Horizontal;Oblique;Point 1;Point 2;Horizontal;Oblique</s_segment_header>
			<s_protocol_title>*************************** PROTOCOLE CALCUL DE REMBLAI/DE DBLAI *************************</s_protocol_title>
			<s_protocol_header_1>;;;;ZONE DE DBLAI;;ZONE DE REMBLAI</s_protocol_header_1>
			<s_protocol_header_2>N;Point 1;Point 2;Point 3;Surface de base;Volumen;Surface de base;Volumen</s_protocol_header_2>
			<s_protocol_footer>;;;Somme;</s_protocol_footer>
			<s_area_title>***************************** PROTOCOLE CALCUL DE SURFACE ****************************</s_area_title>
			<s_area_header>N;Point 1;Point 2;Point 3;Surface de base remblai;Surface de base dblai;Superficie</s_area_header>
			<s_area_footer>;;;Somme;</s_area_footer>
		</strres>
	</strres:xml2csv>
	<!-- ***************************************** Eingabeparameter - Deklarationen ***************************************** -->
	<xsl:param name="cl"  select="'0'"/>		<!-- Koordinatenliste einfgen -->
	<xsl:param name="cft" select="'0'"/>		<!-- 2 = Nur Abtragprotokoll, 1 = Nur Auftragprotokoll, 0 = Auf- und Abtragsprotokoll -->
	<xsl:param name="sp"  select="'0'"/>		<!-- Seitenumbruch einfgen -->
	<xsl:param name="ig"  select="'0'"/>		<!-- Grafik einfgen -->
	<xsl:param name="scp" select="'0'"/>		<!-- Protokolltyp: 1 = Kubatur, 0 = Flche -->
	<xsl:param name="iel" select="'0'"/>		<!-- Streckenliste einfgen -->
	<xsl:param name="tpt" select="'0'"/>      	<!-- 0 = Protokoll basiert auf Voraufnahme, 1 = Protokoll basiert auf Nachaufnahme -->
	<xsl:param name="lang" select="'de'"/>		<!-- Sprache des Protokolls -->
	<!-- ***************************************** Variablen - Deklarationen ***************************************** -->
	<xsl:variable name="zerostr" select="'                                                                                                                                                                                                                                                      '" />
	<xsl:variable name="strres" select="document('')/*/strres:xml2csv/strres[lang($lang)]"/>
	<!-- ***************************************** Template fr's Umformatieren der Sonderzeichen in CSV ***************************************** -->
	<xsl:template name="TextToCSV">
		<xsl:param name="Text"/>
		<xsl:choose>
			<xsl:when test="contains($Text, '&#xA;')">
				<xsl:value-of select="substring-before($Text, '&#xA;')"/>
				<xsl:text>&#13;&#10;;</xsl:text>
				<xsl:call-template name="TextToCSV">
					<xsl:with-param name="Text" select="substring-after($Text,'&#xA;')"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$Text"/>
			</xsl:otherwise>
	   </xsl:choose>
	</xsl:template>
	<!-- ***************************************** Template fr die Projektinformationen ***************************************** -->
	<xsl:template match="projectfile">
		<xsl:for-each select="document(@href)/project">
			<xsl:variable name="DescText" select="desc"/>
			<xsl:choose>
				<xsl:when test="string-length($DescText) &gt; 0">
					<xsl:value-of select="$strres/s_project"/>
					<xsl:text>;</xsl:text>
					<xsl:call-template name="TextToCSV">
						<xsl:with-param name="Text" select="desc"/>
					</xsl:call-template>
					<xsl:text>&#13;&#10;</xsl:text>
					<xsl:text>&#13;&#10;</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:apply-templates/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>

	<xsl:template match="robostation">
		<!-- ***************************************** Ausgabe Protokollkopf ***************************************** -->
		<xsl:text>************************************ KUBATURA V</xsl:text>
		<xsl:value-of select="@version"/>
		<xsl:text> **********************************&#13;&#10;&#13;&#10;</xsl:text>
		<xsl:value-of select="$strres/s_cal_prot"/>
		<xsl:text>&#13;&#10;</xsl:text>
		<xsl:for-each select="cubature">
			<xsl:text>;</xsl:text>
			<xsl:value-of select="$strres/s_date"/>
			<xsl:text>;;</xsl:text>
			<xsl:if test="@date">
				<xsl:value-of select="concat(substring(@date,7,2), '.',substring(@date,5,2), '.', substring(@date,1,4))" />
			</xsl:if>
			<xsl:text>&#13;&#10;;</xsl:text>
			<xsl:value-of select="$strres/s_time"/>
			<xsl:text>;;</xsl:text>
			<xsl:if test="@time">
				<xsl:value-of select="concat(substring(@time,1,2), ':',substring(@time,3,2), ':', substring(@time,5,2))" />
			</xsl:if>
			<xsl:text>&#13;&#10;&#13;&#10;</xsl:text>
			<xsl:apply-templates/>
			<!-- ***************************************** Ausgabe der Eingabedaten ***************************************** -->
			<xsl:for-each select="input">
				<xsl:for-each select="horizon">
					<xsl:if test="@no='1'">
						<xsl:value-of select="$strres/s_initial_survey"/>
						<xsl:text>&#13;&#10;</xsl:text>
					</xsl:if>
					<xsl:if test="@no='2'">
						<xsl:value-of select="$strres/s_final_survey"/>
						<xsl:text>&#13;&#10;</xsl:text>
					</xsl:if>
					<xsl:if test="@type='dtm'">
						<xsl:text>;</xsl:text>
						<xsl:value-of select="$strres/s_file"/>
						<xsl:text>;;</xsl:text>
						<xsl:text>"</xsl:text>
						<xsl:value-of select="@file" />
						<xsl:text>"&#13;&#10;</xsl:text>
						<xsl:text>;</xsl:text>
						<xsl:value-of select="$strres/s_dtm_points"/>
						<xsl:text>;;</xsl:text>
						<xsl:for-each select="point_pool">
							<xsl:if test="@categories=''">
								<xsl:value-of select="$strres/all"/>
							</xsl:if>
							<xsl:if test="@categories!=''">
								<xsl:value-of select="@categories"/>
							</xsl:if>
						</xsl:for-each>
						<xsl:text>&#13;&#10;</xsl:text>
						<xsl:text>;</xsl:text>
						<xsl:value-of select="$strres/s_gaps"/>
						<xsl:text>;;</xsl:text>
						<xsl:for-each select="gaps">
							<xsl:value-of select="@categories"/>
						</xsl:for-each>
						<xsl:text>&#13;&#10;</xsl:text>
						<xsl:text>;</xsl:text>
						<xsl:value-of select="$strres/s_boundary"/>
						<xsl:text>;;</xsl:text>
						<xsl:for-each select="boundary">
							<xsl:value-of select="@categories" />
						</xsl:for-each>
						<xsl:text>&#13;&#10;</xsl:text>
						<xsl:text>;</xsl:text>
						<xsl:value-of select="$strres/s_offset"/>
						<xsl:text>;;</xsl:text>
						<xsl:value-of select="format-number(@offset,'#0,000','european')"/>
						<xsl:text>;m&#13;&#10;</xsl:text>
						<xsl:for-each select="dtm_info">
							<xsl:text>;</xsl:text>
							<xsl:value-of select="$strres/s_points"/>
							<xsl:text>;;</xsl:text>
							<xsl:value-of select="@points" />
							<xsl:text>&#13;&#10;;</xsl:text>
							<xsl:value-of select="$strres/s_triangles"/>
							<xsl:text>;;</xsl:text>
							<xsl:value-of select="@triangles" />
							<xsl:text>&#13;&#10;</xsl:text>
							<xsl:text>;</xsl:text>
							<xsl:value-of select="$strres/s_base"/>
							<xsl:text>;;</xsl:text>
							<xsl:value-of select="format-number(@base_area,'#0,000','european')"/>
							<xsl:text>;m&#13;&#10;</xsl:text>
							<xsl:text>;</xsl:text>
							<xsl:value-of select="$strres/s_surface"/>
							<xsl:text>;;</xsl:text>
							<xsl:value-of select="format-number(@surface_area,'#0,000','european')"/>
							<xsl:text>;m&#13;&#10;</xsl:text>
							<xsl:text>;</xsl:text>
							<xsl:value-of select="$strres/s_surface_perimeter"/>
							<xsl:text>;;</xsl:text>
							<xsl:value-of select="format-number(@surface_perimeter,'#0,000','european')"/>
							<xsl:text>;m&#13;&#10;</xsl:text>
							<xsl:text>;</xsl:text>
							<xsl:value-of select="$strres/s_point_low"/>
							<xsl:text>;;</xsl:text>
							<xsl:value-of select="format-number(@minZ,'#0,###','european')"/>
							<xsl:text>;m&#13;&#10;</xsl:text>
							<xsl:text>;</xsl:text>
							<xsl:value-of select="$strres/s_point_high"/>
							<xsl:text>;;</xsl:text>
							<xsl:value-of select="format-number(@maxZ,'#0,###','european')"/>
							<xsl:text>;m&#13;&#10;</xsl:text>
						</xsl:for-each>
					</xsl:if>
					<xsl:if test="@type='plane'">
						<xsl:text>;</xsl:text>
						<xsl:value-of select="$strres/s_plane"/>
						<xsl:text>&#13;&#10;;</xsl:text>
						<xsl:value-of select="$strres/s_height"/>
						<xsl:text>;;</xsl:text>
						<xsl:value-of select="format-number(@offset,'#0,000','european')"/>
						<xsl:text>;m&#13;&#10;</xsl:text>
					</xsl:if>
					<xsl:text>&#13;&#10;</xsl:text>
				</xsl:for-each>
			</xsl:for-each>
			<!-- ***************************************** Ausgabe der Berechnungsergebnisse ***************************************** -->
			<xsl:for-each select="results">
				<xsl:value-of select="$strres/s_result"/>
				<xsl:text>&#13;&#10;</xsl:text>
				<xsl:text>;</xsl:text>
				<xsl:value-of select="$strres/s_fill"/>
				<xsl:text>:;;</xsl:text>
				<xsl:if test="not($cft='2')">
					<xsl:value-of select="format-number(volume/@fill,'#0,000','european')"/>
					<xsl:text>;m&#13;&#10;</xsl:text>
				</xsl:if>
				<xsl:if test="$cft='2'">
					<xsl:value-of select="$strres/s_no_calc"/>
					<xsl:text>&#13;&#10;</xsl:text>
				</xsl:if>
				<xsl:text>;</xsl:text>
				<xsl:value-of select="$strres/s_cut"/>
				<xsl:text>:;;</xsl:text>
				<xsl:if test="not($cft='1')">
					<xsl:value-of select="format-number(volume/@cut,'#0,000','european')"/>
					<xsl:text>;m&#13;&#10;</xsl:text>
				</xsl:if>
				<xsl:if test="$cft='1'">
					<xsl:value-of select="$strres/s_no_calc"/>
					<xsl:text>&#13;&#10;</xsl:text>
				</xsl:if>
				<xsl:text>;</xsl:text>
				<xsl:value-of select="$strres/s_balance"/>
				<xsl:text>;;</xsl:text>
				<xsl:if test="$cft='0'">
					<xsl:value-of select="format-number(volume/@balance,'#0,000','european')"/>
					<xsl:text>;m (</xsl:text>
					<xsl:choose>
						<xsl:when test="volume/@balance &gt; 0">
							<xsl:value-of select="$strres/s_fill"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$strres/s_cut"/>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:text>)&#13;&#10;</xsl:text>
				</xsl:if>
				<xsl:if test="not($cft='0')">
					<xsl:value-of select="$strres/s_no_calc"/>
					<xsl:text>&#13;&#10;</xsl:text>
				</xsl:if>
				<xsl:text>;</xsl:text>
				<xsl:value-of select="$strres/s_base"/>
				<xsl:text>;;</xsl:text>
				<xsl:value-of select="format-number(area/@base,'#0,000','european')"/>
				<xsl:text>;m&#13;&#10;</xsl:text>
				<xsl:text>;</xsl:text>
				<xsl:value-of select="$strres/s_base_perimeter"/>
				<xsl:text>;;</xsl:text>
				<xsl:value-of select="format-number(perimeter/@base,'#0,000','european')"/>
				<xsl:text>;m&#13;&#10;</xsl:text>
				<xsl:for-each select="surface">
					<xsl:if test="@type='origin'">
						<xsl:text>;</xsl:text>
						<xsl:value-of select="$strres/s_origin_surface"/>
						<xsl:text>;;</xsl:text>
						<xsl:value-of select="format-number(@area,'#0,000','european')"/>
						<xsl:text>;m&#13;&#10;</xsl:text>
					</xsl:if>
					<xsl:if test="@type='target'">
						<xsl:text>;</xsl:text>
						<xsl:value-of select="$strres/s_target_surface"/>
						<xsl:text>;;</xsl:text>
						<xsl:value-of select="format-number(@area,'#0,000','european')"/>
						<xsl:text>;m&#13;&#10;</xsl:text>
					</xsl:if>
				</xsl:for-each>
				<xsl:text>;</xsl:text>
				<xsl:value-of select="$strres/s_areas"/>
				<xsl:text>;;</xsl:text>
				<xsl:value-of select="format-number(area/@regions,'#0,000','european')"/>
				<xsl:text> &#13;&#10;</xsl:text>
			</xsl:for-each>
			<!-- ***************************************** Ausgabe des Koordinatenverzeichnisses ***************************************** -->
			<xsl:if test="$cl='1'">
				<xsl:text>&#13;&#10;&#13;&#10;</xsl:text>
				<xsl:value-of select="$strres/s_coord_title"/>
				<xsl:text>&#13;&#10;</xsl:text>
				<xsl:for-each select="input">
					<xsl:for-each select="horizon">
						<xsl:if test="@type='dtm'">
							<xsl:text>&#13;&#10;</xsl:text>
							<xsl:if test="@no='1'">
								<xsl:value-of select="$strres/s_initial_survey"/>
								<xsl:text>&#13;&#10;</xsl:text>
							</xsl:if>
							<xsl:if test="@no='2'">
								<xsl:value-of select="$strres/s_final_survey"/>
								<xsl:text>&#13;&#10;</xsl:text>
							</xsl:if>
							<xsl:value-of select="$strres/s_dtm_points"/>
							<xsl:text>&#13;&#10;</xsl:text>
							<xsl:value-of select="$strres/s_coord_header"/>
							<xsl:text>&#13;&#10;</xsl:text>
							<xsl:for-each select="point_pool">
								<xsl:for-each select="point">
									<xsl:value-of select="@id"/>
									<xsl:text>;</xsl:text>
									<xsl:value-of select="format-number(@x,'#0,000','european')"/>
									<xsl:text>;</xsl:text>
									<xsl:value-of select="format-number(@y,'#0,000','european')"/>
									<xsl:text>;</xsl:text>
									<xsl:value-of select="format-number(@z,'#0,000','european')"/>
									<xsl:text>;</xsl:text>
									<xsl:choose>
										<xsl:when test="(position() mod 2) != 0">
										</xsl:when>
										<xsl:otherwise>
											<xsl:text>&#13;&#10;</xsl:text>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:for-each>
							</xsl:for-each>
							<xsl:text>&#13;&#10;</xsl:text>
						</xsl:if>
					</xsl:for-each>
				</xsl:for-each>
			</xsl:if>
			<xsl:text>&#13;&#10;</xsl:text>
			<!-- ***************************************** Ausgabe des Streckenverzeichnisses ***************************************** -->
			<xsl:if test="$iel='1'">
				<xsl:text>&#13;&#10;&#13;&#10;</xsl:text>
				<xsl:value-of select="$strres/s_segment_title"/>
				<xsl:text>&#13;&#10;&#13;&#10;</xsl:text>
				<xsl:for-each select="edgelist">
					<xsl:if test="@base_horizon='1'">
						<xsl:value-of select="$strres/s_initial_survey"/>
						<xsl:text>&#13;&#10;</xsl:text>
					</xsl:if>
					<xsl:if test="@base_horizon='2'">
						<xsl:text>&#13;&#10;</xsl:text>
						<xsl:text>&#13;&#10;</xsl:text>
						<xsl:value-of select="$strres/s_final_survey"/>
						<xsl:text>&#13;&#10;</xsl:text>
					</xsl:if>
					<xsl:value-of select="$strres/s_segment_header"/>
					<xsl:text>&#13;&#10;</xsl:text>
					<xsl:for-each select="edge">
						<xsl:value-of select="@startpoint"/>
						<xsl:text>;</xsl:text>
						<xsl:value-of select="@endpoint"/>
						<xsl:text>;</xsl:text>
						<xsl:value-of select="format-number(@length_xy,'#0,000','european')"/>
						<xsl:text>;</xsl:text>
						<xsl:value-of select="format-number(@length_xyz,'#0,000','european')"/>
						<xsl:text>;</xsl:text>
						<xsl:choose>
							<xsl:when test="(position() mod 2) != 0">
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>&#13;&#10;</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:for-each>
				</xsl:for-each>
				<xsl:text>&#13;&#10;</xsl:text>
			</xsl:if>
			<!-- ***************************************** Ausgabe des Auftrag/Abtrag-Protokolls ***************************************** -->
			<xsl:text>&#13;&#10;</xsl:text>
			<xsl:if test="$scp='1'">
				<xsl:value-of select="$strres/s_protocol_title"/>
				<xsl:text>&#13;&#10;&#13;&#10;</xsl:text>
				<xsl:if test="$tpt='0'">
					<xsl:value-of select="$strres/s_origin_triangles"/>
					<xsl:text>&#13;&#10;</xsl:text>
				</xsl:if>
				<xsl:if test="$tpt='1'">
					<xsl:value-of select="$strres/s_final_triangles"/>
					<xsl:text>&#13;&#10;</xsl:text>
				</xsl:if>
				<xsl:value-of select="$strres/s_protocol_header_1"/>
				<xsl:text>&#13;&#10;</xsl:text>
				<xsl:value-of select="$strres/s_protocol_header_2"/>
				<xsl:text>&#13;&#10;</xsl:text>
				<xsl:for-each select="cutfill_protocol">
					<xsl:if test="($tpt='1' and @base_horizon='2') or ($tpt='0' and @base_horizon='1')">
						<xsl:for-each select="triangle">
							<xsl:value-of select="@id"/>
							<xsl:text>;</xsl:text>
							<xsl:value-of select="@a"/>
							<xsl:text>;</xsl:text>
							<xsl:value-of select="@b"/>
							<xsl:text>;</xsl:text>
							<xsl:value-of select="@c"/>
							<xsl:text>;</xsl:text>
							<xsl:if test="not($cft='1')">
								<xsl:value-of select="format-number(summary/@cutarea,'#0,000','european')"/>
								<xsl:text>;</xsl:text>
								<xsl:value-of select="format-number(summary/@cutvolume,'#0,000','european')"/>
							</xsl:if>
							<xsl:if test="$cft='1'">
								<xsl:text>-;-</xsl:text>
							</xsl:if>
							<xsl:text>;</xsl:text>
							<xsl:if test="not($cft='2')">
								<xsl:value-of select="format-number(summary/@fillarea,'#0,000','european')"/>
								<xsl:text>;</xsl:text>
								<xsl:value-of select="format-number(summary/@fillvolume,'#0,000','european')"/>
							</xsl:if>
							<xsl:if test="$cft='2'">
								<xsl:text>-;-</xsl:text>
							</xsl:if>
							<xsl:text>;</xsl:text>
							<xsl:text>&#13;&#10;</xsl:text>
						</xsl:for-each>
						<xsl:text>&#13;&#10;</xsl:text>
						<xsl:value-of select="$strres/s_protocol_footer"/>
						<xsl:if test="not($cft='1')">
							<xsl:value-of select="format-number(summary/@cutarea,'#0,000','european')"/>
							<xsl:text>;</xsl:text>
							<xsl:value-of select="format-number(summary/@cutvolume,'#0,000','european')"/>
						</xsl:if>
						<xsl:if test="$cft='1'">
							<xsl:text>-;-</xsl:text>
						</xsl:if>
						<xsl:text>;</xsl:text>
						<xsl:if test="not($cft='2')">
							<xsl:value-of select="format-number(summary/@fillarea,'#0,000','european')"/>
							<xsl:text>;</xsl:text>
							<xsl:value-of select="format-number(summary/@fillvolume,'#0,000','european')"/>
						</xsl:if>
						<xsl:if test="$cft='2'">
							<xsl:text>-;-</xsl:text>
						</xsl:if>
						<xsl:text>;</xsl:text>
					</xsl:if>
				</xsl:for-each>
			</xsl:if>
			<!-- ***************************************** Ausgabe des Flchen-Protokolls ***************************************** -->
			<xsl:if test="$scp='0'">
				<xsl:text>&#13;&#10;&#13;&#10;</xsl:text>
				<xsl:value-of select="$strres/s_area_title"/>
				<xsl:text>&#13;&#10;&#13;&#10;</xsl:text>
				<xsl:for-each select="cutfill_protocol">
					<xsl:if test="@base_horizon='1'">
						<xsl:value-of select="$strres/s_initial_survey"/>
						<xsl:text>&#13;&#10;</xsl:text>
					</xsl:if>
					<xsl:if test="@base_horizon='2'">
						<xsl:value-of select="$strres/s_final_survey"/>
						<xsl:text>&#13;&#10;</xsl:text>
					</xsl:if>
					<xsl:value-of select="$strres/s_area_header"/>
					<xsl:text>&#13;&#10;</xsl:text>
					<xsl:for-each select="triangle">
						<xsl:value-of select="@id"/>
						<xsl:text>;</xsl:text>
						<xsl:value-of select="@a"/>
						<xsl:text>;</xsl:text>
						<xsl:value-of select="@b"/>
						<xsl:text>;</xsl:text>
						<xsl:value-of select="@c"/>
						<xsl:text>;</xsl:text>
						<xsl:if test="not($cft='2')">
							<xsl:value-of select="format-number(summary/@fillarea,'#0,000','european')"/>
						</xsl:if>
						<xsl:if test="$cft='2'">
							<xsl:text>-</xsl:text>
						</xsl:if>
						<xsl:text>;</xsl:text>
						<xsl:if test="not($cft='1')">
							<xsl:value-of select="format-number(summary/@cutarea,'#0,000','european')"/>
						</xsl:if>
						<xsl:if test="$cft='1'">
							<xsl:text>-</xsl:text>
						</xsl:if>
						<xsl:text>;</xsl:text>
						<xsl:value-of select="format-number(summary/@surface,'#0,000','european')"/>
						<xsl:text>;</xsl:text>
						<xsl:text>&#13;&#10;</xsl:text>
					</xsl:for-each>
					<xsl:text>&#13;&#10;</xsl:text>
					<xsl:value-of select="$strres/s_area_footer"/>
					<xsl:if test="not($cft='2')">
						<xsl:value-of select="format-number(summary/@fillarea,'#0,000','european')"/>
					</xsl:if>
					<xsl:if test="$cft='2'">
						<xsl:text>-</xsl:text>
					</xsl:if>
					<xsl:text>;</xsl:text>
					<xsl:if test="not($cft='1')">
						<xsl:value-of select="format-number(summary/@cutarea,'#0,000','european')"/>
					</xsl:if>
					<xsl:if test="$cft='1'">
						<xsl:text>-</xsl:text>
					</xsl:if>
					<xsl:text>;</xsl:text>
					<xsl:value-of select="format-number(summary/@surface,'#0,000','european')"/>
					<xsl:text>;</xsl:text>
					<xsl:text>&#13;&#10;&#13;&#10;</xsl:text>
				</xsl:for-each>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
