<?xml version="1.0" encoding="ISO-8859-1" ?>
<!-- Copyright 2018, AndroTec GmbH -->
<?rscub type="extended_report" version="1.0" name="de:Textverarbeitung (.rtf)|en:Rich Text Format (.rtf)|fr:Rich Text Format (.rtf)" restrictions="18" file-ext="rtf" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xlink="http://ww.w3.org/TR/xlink" xmlns:strres="strres:xml2csv" version="1.0">
	<!-- Ausgabe-Deklarationen -->
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:strip-space elements="*"/>
	<xsl:decimal-format name="european" decimal-separator="," grouping-separator="."/>
	<!-- ***************************************** String Resourcen ***************************************** -->
	<strres:xml2rtf>
		<strres xml:lang="de">
			<s_project>\par\b  Projekt:\b0   </s_project>
			<s_title>Massenberechnung nach REB-VB 22.013, GAEB-VB 20.404, GAEB-VB 22.114</s_title>
			<s_cal_prot>Berechnungsprotokoll vom </s_cal_prot>
			<s_time> Uhr</s_time>
			<s_initial_survey>\par\b  Voraufnahme:\b0  </s_initial_survey>
			<s_final_survey>\par\b  Nachaufnahme:\b0  </s_final_survey>
			<s_initial_survey_2>Voraufnahme:</s_initial_survey_2>
			<s_final_survey_2>Nachaufnahme:</s_final_survey_2>
			<s_dtm_points>           DGM Punkte:                </s_dtm_points>
			<s_all>Alle</s_all>
			<s_gaps>           Aussparungen:              </s_gaps>
			<s_boundary>           Begrenzung:                </s_boundary>
			<s_offset>           Hhenverschiebung:         </s_offset>
			<s_points>           Punkte/Dreiecke:           </s_points>
			<s_base>           Grundflche (2D):          </s_base>
			<s_base_2>           Grundflche (2D):          </s_base_2>
			<s_surface>           Oberflche (3D):           </s_surface>
			<s_surface_perimeter>           Umfang Oberflche:         </s_surface_perimeter>
			<s_point_low>           Niedrigster Punkt:         </s_point_low>
			<s_point_high>           Hchster Punkt:            </s_point_high>
			<s_plane>Horizontalebene</s_plane>
			<s_height>           Hhe:                    </s_height>
			<s_result>\par\b  Zusammenfassung Berechnungsergebnisse:\b0\par\par</s_result>
			<s_areas>           Anzahl der Gebiete:        </s_areas>
			<s_cut>           Abtrag:                    </s_cut>
			<s_fill>           Auftrag:                   </s_fill>
			<s_cut_2>Abtrag</s_cut_2>
			<s_fill_2>Auftrag</s_fill_2>
			<s_no_calc>nicht berechnet</s_no_calc>
			<s_balance>           Bilanz:                    </s_balance>
			<s_base_perimeter>           Umfang Grundflche:        </s_base_perimeter>
			<s_origin_surface>           Oberfl. Voraufnahme (3D):  </s_origin_surface>
			<s_target_surface>           Oberfl. Nachaufnahme (3D): </s_target_surface>
			<s_origin_triangles> Dreiecke der Voraufnahme:</s_origin_triangles>
			<s_target_triangles> Dreiecke der Nachaufnahme:</s_target_triangles>
			<s_coord_title>\b ******************************** KOORDINATENVERZEICHNIS ******************************</s_coord_title>
			<s_coord_title_2>\b ****************************************** KOORDINATENVERZEICHNIS ******************************************</s_coord_title_2>
			<s_coord_header>\b     Nr  Rechtswert     Hochwert      Hhe        Nr  Rechtswert     Hochwert      Hhe</s_coord_header>
			<s_coord_header_2>\b               Nr   Rechtswert     Hochwert      Hhe                Nr   Rechtswert     Hochwert      Hhe</s_coord_header_2>
			<s_segment_title>\b ********************************* STRECKENVERZEICHNIS ********************************</s_segment_title>
			<s_segment_title_2>\b ****************************************** STRECKENVERZEICHNIS ********************************************</s_segment_title_2>
			<s_segment_header>\b    Punkt 1  Punkt 2  Horizontal    Schrg       Punkt 1  Punkt 2  Horizontal    Schrg</s_segment_header>
			<s_segment_header_2>\b          Punkt 1          Punkt 2   Horizontal       Schrg</s_segment_header_2>
			<s_protocol_title>\b ************************** PROTOKOLL AUF-/ABTRAGSBERECHNUNG **************************</s_protocol_title>
			<s_protocol_title_2>\b ************************************ PROTOKOLL AUF-/ABTRAGSBERECHNUNG ************************************</s_protocol_title_2>
			<s_protocol_header_1>                                              ABTRAGSBEREICH           AUFTRAGSBEREICH</s_protocol_header_1>
			<s_protocol_header_1_2>                                                                ABTRAGSBEREICH          AUFTRAGSBEREICH</s_protocol_header_1_2>
			<s_protocol_header_2>      Nr   Punkt 1   Punkt 2   Punkt 3    Grundflche   Volumen     Grundflche   Volumen</s_protocol_header_2>
			<s_protocol_header_2_2>    Nr          Punkt 1          Punkt 2          Punkt 3    Grundfl.     Volumen    Grundfl.     Volumen</s_protocol_header_2_2>
			<s_area_title>***************************** PROTOKOLL FLCHENBERECHNUNG ****************************</s_area_title>
			<s_area_title_2>********************************** PROTOKOLL FLCHENBERECHNUNG **********************************</s_area_title_2>
			<s_area_header_1></s_area_header_1>
			<s_area_header_1_2>                                                              Auftrag      Abtrag</s_area_header_1_2>
			<s_area_header_2>    Nr  Punkt 1   Punkt 2   Punkt 3  Grundfl. Auftrag   Grundfl. Abtrag     Oberflche</s_area_header_2>
			<s_area_header_2_2>    Nr          Punkt 1          Punkt 2          Punkt 3     Grundfl.     Grundfl.   Oberflche</s_area_header_2_2>
			<s_boundary_polygon>Begrenzungspolygon </s_boundary_polygon>
			<s_gap_polygon>Aussparungspolygon </s_gap_polygon>
			<s_v>V</s_v>
			<s_n>N</s_n>
		</strres>
		<strres xml:lang="en">
			<s_project>\par\b  Project:\b0   </s_project>
			<s_title>Volume Computation according to REB-VB 22.013, GAEB-VB 20.404, GAEB-VB 22.114</s_title>
			<s_cal_prot>Calculation Report date </s_cal_prot>
			<s_time> o'clock</s_time>
			<s_initial_survey>\par\b  Initial survey:\b0  </s_initial_survey>
			<s_final_survey>\par\b  Final survey:\b0  </s_final_survey>
			<s_initial_survey_2>Initial survey:</s_initial_survey_2>
			<s_final_survey_2>Final survey:</s_final_survey_2>
			<s_dtm_points>           DTM Points:              </s_dtm_points>
			<s_all>All</s_all>
			<s_gaps>           Exclusions:              </s_gaps>
			<s_boundary>           Border:                  </s_boundary>
			<s_offset>           Height Offset:           </s_offset>
			<s_points>           Points/Triangles:        </s_points>
			<s_base>           Base Area (2D):          </s_base>
			<s_base_2>           Base Area (2D):                    </s_base_2>
			<s_surface>           Surface Area (3D):       </s_surface>
			<s_surface_perimeter>           Surface Perimeter:       </s_surface_perimeter>
			<s_point_low>           Lowest Point:            </s_point_low>
			<s_point_high>           Highest Point:           </s_point_high>
			<s_plane>Horizontal Plane</s_plane>
			<s_height>           Height:                  </s_height>
			<s_result>\par\b  Summary of calculation results:\b0\par\par</s_result>
			<s_areas>           Number of Regions:                 </s_areas>
			<s_cut>           Cut Volume:                        </s_cut>
			<s_fill>           Fill Volume:                       </s_fill>
			<s_cut_2>Cut Volume</s_cut_2>
			<s_fill_2>Fill Volume</s_fill_2>
			<s_no_calc>not determined</s_no_calc>
			<s_balance>           Balance:                           </s_balance>
			<s_base_perimeter>           Base Perimeter:                    </s_base_perimeter>
			<s_origin_surface>           Surf. Area of Initial Survey (3D): </s_origin_surface>
			<s_target_surface>           Surf. Area of Final Survey (3D):   </s_target_surface>
			<s_origin_triangles> Triangles of initial survey:</s_origin_triangles>
			<s_target_triangles> Triangles of final survey:</s_target_triangles>
			<s_coord_title>\b *********************************** COORDINATE LIST **********************************</s_coord_title>
			<s_coord_title_2>\b ********************************************* COORDINATE LIST *********************************************</s_coord_title_2>
			<s_coord_header>\b    No      Easting     Northing    Height       No      Easting     Northing    Height</s_coord_header>
			<s_coord_header_2>\b               No      Easting     Northing    Height                No      Easting     Northing    Height</s_coord_header_2>
			<s_segment_title>\b ************************************* SEGMENT LIST ************************************</s_segment_title>
			<s_segment_title_2>\b ********************************************* SEGMENT LIST *****************+*****************************</s_segment_title_2>
			<s_segment_header>\b    Point 1  Point 2  Horizontal  Diagonal       Point 1  Point 2  Horizontal  Diagonal</s_segment_header>
			<s_segment_header_2>\b          Point 1          Point 2  Horizontal      Diagonal</s_segment_header_2>
			<s_protocol_title>\b *************************** REPORT OF FILL/CUT CALCULATION ***************************</s_protocol_title>
			<s_protocol_title_2>\b ************************************ REPORT OF FILL/CUT CALCULATION ************************************</s_protocol_title_2>
			<s_protocol_header_1>                                                 CUT AREA                 FILL AREA</s_protocol_header_1>
			<s_protocol_header_1_2>                                                                CUT AREA                FILL AREA</s_protocol_header_1_2>
			<s_protocol_header_2>    No  Point 1   Point 2   Point 3       Base Area      Volume    Base Area       Volume</s_protocol_header_2>
			<s_protocol_header_2_2>    No          Point 1          Point 2          Point 3   Base Area      Volume   Base Area     Volumen</s_protocol_header_2_2>
			<s_area_title>***************************** REPORT OF AREA CALCULATION ****************************</s_area_title>
			<s_area_title_2>********************************* REPORT OF AREA CALCULATION ********************************</s_area_title_2>
			<s_area_header_1> </s_area_header_1>
			<s_area_header_1_2> </s_area_header_1_2>
			<s_area_header_2>   No  Point 1   Point 2   Point 3          Fill Area          Cut Area   Surface Area</s_area_header_2>
			<s_area_header_2_2>   No           Point 1          Point 2          Point 3    Fill Area     Cut Area Surface Area</s_area_header_2_2>
			<s_boundary_polygon>Borderpolygon </s_boundary_polygon>
			<s_gap_polygon>Exclusionpolygon </s_gap_polygon>
			<s_v>I</s_v>
			<s_n>F</s_n>
		</strres>
		<strres xml:lang="fr">
			<s_project>\par\b  Projekt:\b0   </s_project>
			<s_title>Calcul des masses volumiques selon REB-VB 22.013, GAEB-VB 20.404, GAEB-VB 22.114</s_title>
			<s_cal_prot>Protocole de calcul du </s_cal_prot>
			<s_time> Heure</s_time>
			<s_initial_survey>\par\b  Relev initial:\b0  </s_initial_survey>
			<s_final_survey>\par\b  Relev final:\b0  </s_final_survey>
			<s_initial_survey_2>Relev initial:</s_initial_survey_2>
			<s_final_survey_2>Relev final:</s_final_survey_2>
			<s_dtm_points>           MNT Points:                </s_dtm_points>
			<s_all>Tous</s_all>
			<s_gaps>           Exclusions:                </s_gaps>
			<s_boundary>           Dlimitation:              </s_boundary>
			<s_offset>           Dplacement de la hauteur: </s_offset>
			<s_points>           Points/Triangles:          </s_points>
			<s_base>           Surface de base (2D):      </s_base>
			<s_base_2>           Surface de base (2D):           </s_base_2>
			<s_surface>           Superficie (3D):           </s_surface>
			<s_surface_perimeter>           Primtre de Superficie:   </s_surface_perimeter>
			<s_point_low>           Point le plus bas:         </s_point_low>
			<s_point_high>           Point le plus lev:       </s_point_high>
			<s_plane>Plan horizontal</s_plane>
			<s_height>           Hauteur:                   </s_height>
			<s_result>\par\b  Rsum des rsultats de calcul:\b0\par\par</s_result>
			<s_areas>           Nombre de terrains:             </s_areas>
			<s_cut>           Dblai:                         </s_cut>
			<s_fill>           Remblai:                        </s_fill>
			<s_cut_2>Dblai</s_cut_2>
			<s_fill_2>Remblai</s_fill_2>
			<s_no_calc>non calcul</s_no_calc>
			<s_balance>           Bilan:                          </s_balance>
			<s_base_perimeter>           Primtre surface de base:      </s_base_perimeter>
			<s_origin_surface>           Superficie Relev initial (3D): </s_origin_surface>
			<s_target_surface>           Superficie Relev final (3D):   </s_target_surface>
			<s_origin_triangles>Triangle du relev initial:</s_origin_triangles>
			<s_target_triangles>Triangle du relev final:</s_target_triangles>
			<s_coord_title>\b ********************************* LISTE DE COORDONNEES *******************************</s_coord_title>
			<s_coord_title_2>\b ****************************************** LISTE DE COORDONNEES ******************************************</s_coord_title_2>
			<s_coord_header>\b    N    Abscisses    Ordonnes   Hauteur        N   Abscisses    Ordonnes   Hauteur</s_coord_header>
			<s_coord_header_2>\b               N    Abscisses    Ordonnes  Hauteur                  N   Abscisses     Ordonnes  Hauteur</s_coord_header_2>
			<s_segment_title>********************************** LISTE DE SEGMENT ***********************************</s_segment_title>
			<s_segment_title_2>******************************** LISTE DE SEGMENT *********************************</s_segment_title_2>
			<s_segment_header>\b    Point 1  Point 2  Horizontal    Oblique       Point 1  Point 2  Horizontal  Oblique</s_segment_header>
			<s_segment_header_2>\b          Point 1          Point 2    Horizontal     Oblique</s_segment_header_2>
			<s_protocol_title>\b ************************* PROTOCOLE CALCUL DE REMBLAI/DE DBLAI ***********************</s_protocol_title>
			<s_protocol_title_2>\b *************************** PROTOCOLE CALCUL DE REMBLAI/DE DBLAI *************************</s_protocol_title_2>
			<s_protocol_header_1>                                              ZONE DE DBLAI           ZONE DE REMBLAI</s_protocol_header_1>
			<s_protocol_header_1_2>                                           ZONE DE DBLAI           ZONE DE REMBLAI</s_protocol_header_1_2>
			<s_protocol_header_2>       N  Point 1   Point 2   Point 3    Surf. de base  Volume     Surf. de base  Volume</s_protocol_header_2>
			<s_protocol_header_2_2>   N   Point 1   Point 2   Point 3    Surf. de base   Volume   Surf. de base   Volume</s_protocol_header_2_2>
			<s_area_title>\b ***************************** PROTOCOLE CALCUL DE SURFACE ****************************</s_area_title>
			<s_area_title_2>\b ********************************** PROTOCOLE CALCUL DE SURFACE **********************************</s_area_title_2>
			<s_area_header_1>                                              Remblai            Dblai</s_area_header_1>
			<s_area_header_1_2>                                                          Remblai Surface Dblai Surface</s_area_header_1_2>
			<s_area_header_2>    N Point 1   Point 2   Point 3      Surface de base  Surfacce de base   Superficie</s_area_header_2>
			<s_area_header_2_2>    N          Point 1          Point 2          Point 3      de base      de base   Superficie</s_area_header_2_2>
			<s_boundary_polygon>Polygone de dlimitation </s_boundary_polygon>
			<s_gap_polygon>Polygone d'exclusion </s_gap_polygon>
			<s_v>I</s_v>
			<s_n>F</s_n>
		</strres>
	</strres:xml2rtf>
	<!-- ***************************************** Deklarationen der Eingabeparameter ***************************************** -->
	<xsl:param name="cl"  select="'0'"/>		<!-- Koordinatenliste -->
	<xsl:param name="cft" select="'0'"/>		<!-- Auftrag/Abtrag Typ: 2 = Nur Abtrag, 1 = Nur Auftrag, 0 = Auf- und Abtrag -->
	<xsl:param name="sp"  select="'0'"/>		<!-- Seitenumbruch einfgen -->
	<xsl:param name="ig"  select="'0'"/>		<!-- Grafik einfgen -->
	<xsl:param name="scp" select="'0'"/>		<!-- Protokolltyp; 1 = Kubatur, 0 = Flche -->
	<xsl:param name="iel" select="'0'"/>		<!-- Streckenliste einfgen -->
	<xsl:param name="tpt" select="'0'"/>      	<!-- 0 = Protokoll basiert auf Voraufnahme, 1 = Protokoll basiert auf Nachaufnahme -->
	<xsl:param name="lang" select="'de'"/>		<!-- Sprache des Protokolls -->
	<!-- ***************************************** Variablen - Deklarationen ***************************************** -->
	<xsl:variable name="zerostr" select="'                                                                                                                                                                                                                                                      '" />
	<xsl:variable name="strres" select="document('')/*/strres:xml2rtf/strres[lang($lang)]"/>
	<!-- ***************************************** Template fr's Umformatieren der Sonderzeichen in RTF ***************************************** -->
	<xsl:template name="TextToRTF">
		<xsl:param name="Text"/>
		<xsl:choose>
			<xsl:when test="contains($Text, '&#xA;')">
				<xsl:value-of select="substring-before($Text, '&#xA;')"/>
				<xsl:text>\par&#13;&#10;           </xsl:text>
				<xsl:call-template name="TextToRTF">
					<xsl:with-param name="Text" select="substring-after($Text,'&#xA;')"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$Text"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- ***************************************** Template fr die Projektinformationen ***************************************** -->
	<xsl:template match="projectfile">
		<xsl:for-each select="document(@href)/project">
			<xsl:variable name="DescText" select="desc"/>
			<xsl:choose>
				<xsl:when test="string-length($DescText) &gt; 0">
					<xsl:value-of select="$strres/s_project"/>
					<xsl:call-template name="TextToRTF">
						<xsl:with-param name="Text" select="desc"/>
					</xsl:call-template>
					<xsl:text>\par&#13;&#10;</xsl:text>
					<xsl:text>\par&#13;&#10;</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:apply-templates/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<!-- ***************************************** Template fr's Ausgeben von linksbndigen Texten ***************************************** -->
	<xsl:template name="PadLeft">
		<xsl:param name="Text"/>
		<xsl:param name="Width"/>
		<xsl:variable name="TextLength" select="string-length($Text)"/>
		<xsl:choose>
			<xsl:when test="$TextLength &gt; $Width">
				<xsl:value-of select="$Text" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="concat(substring($zerostr, 1, $Width - $TextLength), $Text)" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- ***************************************** Template fr die Eingabe der Bild-Daten ***************************************** -->
	<xsl:template match="file">
		<xsl:choose>
			<xsl:when test="$ig='1'">
				<xsl:for-each select="document(@href)/picture">
					<xsl:text>\par\par\pard\qc{\pict</xsl:text>
					<xsl:text>\picwgoal7500</xsl:text>
					<xsl:text>\pichgoal</xsl:text>
					<xsl:value-of select="floor(7500 * @height div @width)"/>
					<xsl:text>\dibitmap0&#13;&#10;</xsl:text>
					<xsl:apply-templates/>
					<xsl:text>}\par\par\viewkind4\uc1\pard\cf1\lang1031\b\f0\fs16&#13;&#10;</xsl:text>
				</xsl:for-each>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="robostation">
		<xsl:variable name="CubVer" select="@version"/>
		<xsl:for-each select="cubature">
			<xsl:variable name="BigPIDs" select="@max_pid_len &gt; 13"/>
			<!-- ***************************************** Ausgabe Protokollkopf ***************************************** -->
			<xsl:text>{\rtf1\ansi\deff0&#13;&#10;</xsl:text>
			<xsl:text>{\fonttbl{\f0\fmodern\fprq1\fcharset0 Courier New;}}&#13;&#10;</xsl:text>
			<xsl:text>{\colortbl ;\red0\green0\blue0;}&#13;&#10;</xsl:text>
			<xsl:if test="$BigPIDs">
				<xsl:text>\viewkind4\uc1\pard\cf1\lang1031\b\f0\fs15&#13;&#10;</xsl:text>
				<xsl:text>***********************************************************************************************************\par&#13;&#10;</xsl:text>
			</xsl:if>
			<xsl:if test="not($BigPIDs)">
				<xsl:text>\viewkind4\uc1\pard\cf1\lang1031\b\f0\fs16&#13;&#10;</xsl:text>
				<xsl:text>************************************************************************************************\par&#13;&#10;</xsl:text>
			</xsl:if>
			<xsl:text>\pard\qc </xsl:text>
			<xsl:text>Kubatura V</xsl:text>
			<xsl:value-of select="$CubVer"/>
			<xsl:text>\par&#13;&#10;</xsl:text>
			<xsl:value-of select="$strres/s_title"/>
			<xsl:text>\par\par&#13;&#10;</xsl:text>
			<xsl:value-of select="$strres/s_cal_prot"/>
			<xsl:if test="@date">
				<xsl:value-of select="concat(substring(@date,7,2), '.',substring(@date,5,2), '.', substring(@date,1,4))" />
			</xsl:if>
			<xsl:text>, </xsl:text>
			<xsl:if test="@time">
				<xsl:value-of select="concat(substring(@time,1,2), ':',substring(@time,3,2), ':', substring(@time,5,2))" />
			</xsl:if>
			<xsl:value-of select="$strres/s_time"/>
			<xsl:text>\par&#13;&#10;</xsl:text>
			<xsl:if test="$BigPIDs">
				<xsl:text>\pard ***********************************************************************************************************\par&#13;&#10;</xsl:text>
			</xsl:if>
			<xsl:if test="not($BigPIDs)">
				<xsl:text>\pard ************************************************************************************************\par&#13;&#10;</xsl:text>
			</xsl:if>
			<!-- ***************************************** Ausgabe der  Visualisierung ***************************************** -->
			<xsl:apply-templates/>
			<!-- ***************************************** Ausgabe der Eingabedaten ***************************************** -->
			<xsl:for-each select="input">
				<xsl:for-each select="horizon">
					<xsl:if test="@no='1'">
						<xsl:value-of select="$strres/s_initial_survey"/>
					</xsl:if>
					<xsl:if test="@no='2'">
						<xsl:value-of select="$strres/s_final_survey"/>
					</xsl:if>
					<xsl:if test="@type='dtm'">
						<xsl:text>"</xsl:text>
						<xsl:value-of select="@file" />
						<xsl:text>"\par\par&#13;&#10;</xsl:text>
						<xsl:value-of select="$strres/s_dtm_points"/>
						<xsl:for-each select="point_pool">
							<xsl:if test="@categories=''">
								<xsl:value-of select="$strres/s_all"/>
							</xsl:if>
							<xsl:if test="@categories!=''">
								<xsl:value-of select="@categories" />
							</xsl:if>
						</xsl:for-each>
						<xsl:text>\par&#13;&#10;</xsl:text>
						<xsl:value-of select="$strres/s_gaps"/>
						<xsl:for-each select="gaps">
							<xsl:value-of select="@categories" />
						</xsl:for-each>
						<xsl:text>\par&#13;&#10;</xsl:text>
						<xsl:value-of select="$strres/s_boundary"/>
						<xsl:for-each select="boundary">
							<xsl:value-of select="@categories" />
						</xsl:for-each>
						<xsl:text>\par&#13;&#10;</xsl:text>
						<xsl:value-of select="$strres/s_offset"/>
						<xsl:value-of select="format-number(@offset,'#0,###','european')"/>
						<xsl:text> m\par&#13;&#10;</xsl:text>
						<xsl:for-each select="dtm_info">
							<xsl:value-of select="$strres/s_points"/>
							<xsl:value-of select="@points" />/<xsl:value-of select="@triangles" />
							<xsl:text>\par&#13;&#10;</xsl:text>
							<xsl:value-of select="$strres/s_base"/>
							<xsl:value-of select="format-number(@base_area,'#0,###','european')"/>
							<xsl:text> m\par&#13;&#10;</xsl:text>
							<xsl:value-of select="$strres/s_surface"/>
							<xsl:value-of select="format-number(@surface_area,'#0,###','european')"/>
							<xsl:text> m\par&#13;&#10;</xsl:text>
							<xsl:value-of select="$strres/s_surface_perimeter"/>
							<xsl:value-of select="format-number(@surface_perimeter,'#0,###','european')"/>
							<xsl:text> m\par&#13;&#10;</xsl:text>
							<xsl:value-of select="$strres/s_point_low"/>
							<xsl:value-of select="format-number(@minZ,'#0,###','european')"/>
							<xsl:text> m\par&#13;&#10;</xsl:text>
							<xsl:value-of select="$strres/s_point_high"/>
							<xsl:value-of select="format-number(@maxZ,'#0,###','european')"/>
							<xsl:text> m\par\par&#13;&#10;</xsl:text>
						</xsl:for-each>
					</xsl:if>
					<xsl:if test="@type='plane'">
						<xsl:value-of select="$strres/s_plane"/>
						<xsl:text>\par\par&#13;&#10;</xsl:text>
						<xsl:value-of select="$strres/s_height"/>
						<xsl:value-of select="format-number(@offset,'#0,###','european')"/>
						<xsl:text> m\par\par&#13;&#10;</xsl:text>
					</xsl:if>
				</xsl:for-each>
			</xsl:for-each>
			<!-- ***************************************** Ausgabe der Berechnungsergebnisse ***************************************** -->
			<xsl:for-each select="results">
				<xsl:value-of select="$strres/s_result"/>
				<xsl:text>&#13;&#10;</xsl:text>
				<xsl:value-of select="$strres/s_fill"/>
				<xsl:if test="not($cft='2')">
					<xsl:value-of select="format-number(volume/@fill,'#0,###','european')"/>
					<xsl:text> m\par&#13;&#10;</xsl:text>
				</xsl:if>
				<xsl:if test="$cft='2'">
					<xsl:value-of select="$strres/s_no_calc"/>
					<xsl:text>\par&#13;&#10;</xsl:text>
				</xsl:if>
				<xsl:value-of select="$strres/s_cut"/>
				<xsl:if test="not($cft='1')">
					<xsl:value-of select="format-number(volume/@cut,'#0,###','european')"/>
					<xsl:text> m\par&#13;&#10;</xsl:text>
				</xsl:if>
				<xsl:if test="$cft='1'">
					<xsl:value-of select="$strres/s_no_calc"/>
					<xsl:text>\par&#13;&#10;</xsl:text>
				</xsl:if>
				<xsl:value-of select="$strres/s_balance"/>
				<xsl:if test="$cft='0'">
					<xsl:value-of select="format-number(volume/@balance,'#0,###','european')"/>
					<xsl:text> m (</xsl:text>
					<xsl:choose>
						<xsl:when test="volume/@balance &gt; 0">
							<xsl:value-of select="$strres/s_fill_2"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$strres/s_cut_2"/>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:text>)</xsl:text>
				</xsl:if>
				<xsl:if test="not($cft='0')">
					<xsl:value-of select="$strres/s_no_calc"/>
				</xsl:if>
				<xsl:text>\par&#13;&#10;</xsl:text>
				<xsl:value-of select="$strres/s_base_2"/>
				<xsl:value-of select="format-number(area/@base,'#0,###','european')"/>
				<xsl:text> m\par&#13;&#10;</xsl:text>
				<xsl:value-of select="$strres/s_base_perimeter"/>
				<xsl:value-of select="format-number(perimeter/@base,'#0,###','european')"/>
				<xsl:text> m\par&#13;&#10;</xsl:text>
				<xsl:for-each select="surface">
					<xsl:if test="@type='origin'">
						<xsl:value-of select="$strres/s_origin_surface"/>
						<xsl:value-of select="format-number(@area,'#0,###','european')"/>
						<xsl:text> m\par&#13;&#10;</xsl:text>
					</xsl:if>
					<xsl:if test="@type='target'">
						<xsl:value-of select="$strres/s_target_surface"/>
						<xsl:value-of select="format-number(@area,'#0,###','european')"/>
						<xsl:text> m\par&#13;&#10;</xsl:text>
					</xsl:if>
				</xsl:for-each>
				<xsl:value-of select="$strres/s_areas"/>
				<xsl:value-of select="area/@regions" />
				<xsl:text> \par&#13;&#10;</xsl:text>
			</xsl:for-each>
			<!-- ***************************************** Ausgabe des Koordinatenverzeichnisses ***************************************** -->
			<xsl:if test="$cl='1'">
				<xsl:if test="$sp='0'">
					<xsl:text>\par\par&#13;&#10;</xsl:text>
				</xsl:if>
				<xsl:if test="$sp='1'">
					<xsl:text>\page</xsl:text>
				</xsl:if>
				<xsl:if test="$BigPIDs">
					<xsl:value-of select="$strres/s_coord_title_2"/>
				</xsl:if>
				<xsl:if test="not($BigPIDs)">
					<xsl:value-of select="$strres/s_coord_title"/>
				</xsl:if>
				<xsl:text>\par&#13;&#10;</xsl:text>
				<xsl:for-each select="input">
					<xsl:for-each select="horizon">
						<xsl:if test="@type='dtm'">
							<xsl:if test="@no='1'">
								<xsl:text>\b0\par\b </xsl:text>
								<xsl:value-of select="$strres/s_initial_survey_2"/>
							</xsl:if>
							<xsl:if test="@no='2'">
								<xsl:text>\par\par\b </xsl:text>
								<xsl:value-of select="$strres/s_final_survey_2"/>
							</xsl:if>
							<xsl:text>\b0\par\par&#13;&#10;</xsl:text>
							<xsl:if test="$BigPIDs">
								<xsl:value-of select="$strres/s_coord_header_2"/>
								<xsl:text>\par\b0&#13;&#10;----------------------------------------------------------------------------------------------------------\par&#13;&#10;</xsl:text>
								<xsl:for-each select="point_pool">
									<xsl:for-each select="point">
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="@id"/>
											<xsl:with-param name="Width" select="16"/>
										</xsl:call-template>
										<xsl:text>  </xsl:text>
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="format-number(@x,'#0,000','european')"/>
											<xsl:with-param name="Width" select="11"/>
										</xsl:call-template>
										<xsl:text>  </xsl:text>
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="format-number(@y,'#0,000','european')"/>
											<xsl:with-param name="Width" select="11"/>
										</xsl:call-template>
										<xsl:text>  </xsl:text>
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="format-number(@z,'#0,000','european')"/>
											<xsl:with-param name="Width" select="8"/>
										</xsl:call-template>
										<xsl:choose>
											<xsl:when test="(position() mod 2) != 0">
												<xsl:text>  </xsl:text>
											</xsl:when>
											<xsl:otherwise>
												<xsl:text>\par&#13;&#10;</xsl:text>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:for-each>
								</xsl:for-each>
								<xsl:for-each select="boundary">
									<xsl:text>\par&#13;&#10;</xsl:text>
									<xsl:for-each select="polygon">
										<xsl:text>\par&#13;&#10;</xsl:text>
										<xsl:text>\b </xsl:text>
										<xsl:value-of select="$strres/s_boundary_polygon"/>
										<xsl:value-of select="position()"/>
										<xsl:text>:\par\par&#13;&#10;</xsl:text>
										<xsl:value-of select="$strres/s_coord_header_2"/>
										<xsl:text>\par\b0&#13;&#10;----------------------------------------------------------------------------------------------------------\par&#13;&#10;</xsl:text>
										<xsl:for-each select="point">
											<xsl:call-template name="PadLeft">
												<xsl:with-param name="Text" select="format-number(@id, '####')"/>
												<xsl:with-param name="Width" select="16"/>
											</xsl:call-template>
											<xsl:text>  </xsl:text>
											<xsl:call-template name="PadLeft">
												<xsl:with-param name="Text" select="format-number(@x,'#0,000','european')"/>
												<xsl:with-param name="Width" select="11"/>
											</xsl:call-template>
											<xsl:text>  </xsl:text>
											<xsl:call-template name="PadLeft">
												<xsl:with-param name="Text" select="format-number(@y,'#0,000','european')"/>
												<xsl:with-param name="Width" select="11"/>
											</xsl:call-template>
											<xsl:text>  </xsl:text>
											<xsl:call-template name="PadLeft">
												<xsl:with-param name="Text" select="format-number(@z,'#0,000','european')"/>
												<xsl:with-param name="Width" select="8"/>
											</xsl:call-template>
											<xsl:choose>
												<xsl:when test="(position() mod 2) != 0">
													<xsl:text>  </xsl:text>
												</xsl:when>
												<xsl:otherwise>
													<xsl:text>\par&#13;&#10;</xsl:text>
												</xsl:otherwise>
											</xsl:choose>
										</xsl:for-each>
										<xsl:text>\par&#13;&#10;</xsl:text>
									</xsl:for-each>
								</xsl:for-each>
								<xsl:for-each select="gaps">
									<xsl:for-each select="polygon">
										<xsl:text>\par\par&#13;&#10;</xsl:text>
										<xsl:text>\b </xsl:text>
										<xsl:value-of select="$strres/s_gap_polygon"/>
										<xsl:value-of select="position()"/>
										<xsl:text>:\par\par&#13;&#10;</xsl:text>
										<xsl:value-of select="$strres/s_coord_header_2"/>
										<xsl:text>\par\b0&#13;&#10;----------------------------------------------------------------------------------------------------------\par&#13;&#10;</xsl:text>
										<xsl:for-each select="point">
											<xsl:call-template name="PadLeft">
												<xsl:with-param name="Text" select="format-number(@id, '####')"/>
												<xsl:with-param name="Width" select="16"/>
											</xsl:call-template>
											<xsl:text>  </xsl:text>
											<xsl:call-template name="PadLeft">
												<xsl:with-param name="Text" select="format-number(@x,'#0,000','european')"/>
												<xsl:with-param name="Width" select="11"/>
											</xsl:call-template>
											<xsl:text>  </xsl:text>
											<xsl:call-template name="PadLeft">
												<xsl:with-param name="Text" select="format-number(@y,'#0,000','european')"/>
												<xsl:with-param name="Width" select="11"/>
											</xsl:call-template>
											<xsl:text>  </xsl:text>
											<xsl:call-template name="PadLeft">
												<xsl:with-param name="Text" select="format-number(@z,'#0,000','european')"/>
												<xsl:with-param name="Width" select="8"/>
											</xsl:call-template>
											<xsl:choose>
												<xsl:when test="(position() mod 2) != 0">
													<xsl:text>  </xsl:text>
												</xsl:when>
												<xsl:otherwise>
													<xsl:text>\par&#13;&#10;</xsl:text>
												</xsl:otherwise>
											</xsl:choose>
										</xsl:for-each>
										<xsl:if test="(position() mod 2) = 0">
											<xsl:text>\par&#13;&#10;</xsl:text>
										</xsl:if>
									</xsl:for-each>
								</xsl:for-each>
							</xsl:if>
							<xsl:if test="not($BigPIDs)">
								<xsl:value-of select="$strres/s_coord_header"/>
								<xsl:text>\par\b0&#13;&#10;--------------------------------------------------------------------------------------\par&#13;&#10;</xsl:text>
								<xsl:for-each select="point_pool">
									<xsl:for-each select="point">
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="@id"/>
											<xsl:with-param name="Width" select="6"/>
										</xsl:call-template>
										<xsl:text>  </xsl:text>
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="format-number(@x,'#0,000','european')"/>
											<xsl:with-param name="Width" select="10"/>
										</xsl:call-template>
										<xsl:text>  </xsl:text>
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="format-number(@y,'#0,000','european')"/>
											<xsl:with-param name="Width" select="11"/>
										</xsl:call-template>
										<xsl:text>  </xsl:text>
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="format-number(@z,'#0,000','european')"/>
											<xsl:with-param name="Width" select="8"/>
										</xsl:call-template>
										<xsl:choose>
											<xsl:when test="(position() mod 2) != 0">
												<xsl:text>    </xsl:text>
											</xsl:when>
											<xsl:otherwise>
												<xsl:text>\par&#13;&#10;</xsl:text>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:for-each>
								</xsl:for-each>
								<xsl:for-each select="boundary">
								<xsl:text>\par&#13;&#10;</xsl:text>
								<xsl:for-each select="polygon">
									<xsl:text>\par&#13;&#10;</xsl:text>
									<xsl:text>\b </xsl:text>
									<xsl:value-of select="$strres/s_boundary_polygon"/>
									<xsl:value-of select="position()"/>
									<xsl:text>:\par\par&#13;&#10;</xsl:text>
									<xsl:value-of select="$strres/s_coord_header"/>
									<xsl:text>\par\b0&#13;&#10;--------------------------------------------------------------------------------------\par&#13;&#10;</xsl:text>
									<xsl:for-each select="point">
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="format-number(@id, '####')"/>
											<xsl:with-param name="Width" select="5"/>
										</xsl:call-template>
										<xsl:text>  </xsl:text>
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="format-number(@x,'#0,000','european')"/>
											<xsl:with-param name="Width" select="11"/>
										</xsl:call-template>
										<xsl:text>  </xsl:text>
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="format-number(@y,'#0,000','european')"/>
											<xsl:with-param name="Width" select="11"/>
										</xsl:call-template>
										<xsl:text>  </xsl:text>
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="format-number(@z,'#0,000','european')"/>
											<xsl:with-param name="Width" select="8"/>
										</xsl:call-template>
										<xsl:if test="(position() mod 2) = 1">
											<xsl:text>    </xsl:text>
										</xsl:if>
										<xsl:if test="(position() mod 2) = 0">
											<xsl:text>\par&#13;&#10;</xsl:text>
										</xsl:if>
									</xsl:for-each>
									<xsl:text>\par&#13;&#10;</xsl:text>
								</xsl:for-each>
							</xsl:for-each>
							<xsl:for-each select="gaps">
								<xsl:for-each select="polygon">
									<xsl:text>\par\par&#13;&#10;</xsl:text>
									<xsl:text>\b </xsl:text>
									<xsl:value-of select="$strres/s_gap_polygon"/>
									<xsl:value-of select="position()"/>
									<xsl:text>:\par\par&#13;&#10;</xsl:text>
									<xsl:value-of select="$strres/s_coord_header"/>
									<xsl:text>\par\b0&#13;&#10;--------------------------------------------------------------------------------------\par&#13;&#10;</xsl:text>
									<xsl:for-each select="point">
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="format-number(@id, '####')"/>
											<xsl:with-param name="Width" select="5"/>
										</xsl:call-template>
										<xsl:text>  </xsl:text>
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="format-number(@x,'#0,000','european')"/>
											<xsl:with-param name="Width" select="11"/>
										</xsl:call-template>
										<xsl:text>  </xsl:text>
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="format-number(@y,'#0,000','european')"/>
											<xsl:with-param name="Width" select="11"/>
										</xsl:call-template>
										<xsl:text>  </xsl:text>
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="format-number(@z,'#0,000','european')"/>
											<xsl:with-param name="Width" select="8"/>
										</xsl:call-template>
										<xsl:choose>
											<xsl:when test="(position() mod 2) != 0">
												<xsl:text>    </xsl:text>
											</xsl:when>
											<xsl:otherwise>
												<xsl:text>\par&#13;&#10;</xsl:text>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:for-each>
									<xsl:if test="(position() mod 2) = 0">
										<xsl:text>\par&#13;&#10;</xsl:text>
									</xsl:if>
								</xsl:for-each>
							</xsl:for-each>
							</xsl:if>
						</xsl:if>
					</xsl:for-each>
				</xsl:for-each>
			</xsl:if>
			<!-- ***************************************** Ausgabe des Streckenverzeichnisses ***************************************** -->
			<xsl:if test="$iel='1'">
				<xsl:if test="$sp='0'">
					<xsl:text>\par\par\par&#13;&#10;</xsl:text>
				</xsl:if>
				<xsl:if test="$sp='1'">
					<xsl:text>\par\page</xsl:text>
				</xsl:if>
				<xsl:if test="$BigPIDs">
					<xsl:value-of select="$strres/s_segment_title_2"/>
				</xsl:if>
				<xsl:if test="not($BigPIDs)">
					<xsl:value-of select="$strres/s_segment_title"/>
				</xsl:if>
				<xsl:text>\par\par&#13;&#10;</xsl:text>
				<xsl:for-each select="edgelist">
					<xsl:if test="@base_horizon='1'">
						<xsl:text>\b </xsl:text>
						<xsl:value-of select="$strres/s_initial_survey_2"/>
					</xsl:if>
					<xsl:if test="@base_horizon='2'">
						<xsl:text>\par\par\b </xsl:text>
						<xsl:value-of select="$strres/s_final_survey_2"/>
					</xsl:if>
					<xsl:text>\par\par&#13;&#10;</xsl:text>
					<xsl:if test="$BigPIDs">
						<xsl:value-of select="$strres/s_segment_header_2"/>
						<xsl:text>\par&#13;&#10;\b0 -----------------------------------------------------------\par&#13;&#10;</xsl:text>
						<xsl:for-each select="edge">
							<xsl:call-template name="PadLeft">
								<xsl:with-param name="Text" select="@startpoint"/>
								<xsl:with-param name="Width" select="16"/>
							</xsl:call-template>
							<xsl:text>  </xsl:text>
							<xsl:call-template name="PadLeft">
								<xsl:with-param name="Text" select="@endpoint"/>
								<xsl:with-param name="Width" select="15"/>
							</xsl:call-template>
							<xsl:text>  </xsl:text>
							<xsl:call-template name="PadLeft">
								<xsl:with-param name="Text" select="format-number(@length_xy,'#0,000','european')"/>
								<xsl:with-param name="Width" select="11"/>
							</xsl:call-template>
							<xsl:text>  </xsl:text>
							<xsl:call-template name="PadLeft">
								<xsl:with-param name="Text" select="format-number(@length_xyz,'#0,000','european')"/>
								<xsl:with-param name="Width" select="11"/>
							</xsl:call-template>
							<xsl:text>\par&#13;&#10;</xsl:text>
						</xsl:for-each>
					</xsl:if>
					<xsl:if test="not($BigPIDs)">
						<xsl:value-of select="$strres/s_segment_header"/>
						<xsl:text>\par&#13;&#10;\b0 --------------------------------------------------------------------------------------\par&#13;&#10;</xsl:text>
						<xsl:for-each select="edge">
							<xsl:call-template name="PadLeft">
								<xsl:with-param name="Text" select="@startpoint"/>
								<xsl:with-param name="Width" select="8"/>
							</xsl:call-template>
							<xsl:text>  </xsl:text>
							<xsl:call-template name="PadLeft">
								<xsl:with-param name="Text" select="@endpoint"/>
								<xsl:with-param name="Width" select="7"/>
							</xsl:call-template>
							<xsl:text>  </xsl:text>
							<xsl:call-template name="PadLeft">
								<xsl:with-param name="Text" select="format-number(@length_xy,'#0,000','european')"/>
								<xsl:with-param name="Width" select="10"/>
							</xsl:call-template>
							<xsl:text>  </xsl:text>
							<xsl:call-template name="PadLeft">
								<xsl:with-param name="Text" select="format-number(@length_xyz,'#0,000','european')"/>
								<xsl:with-param name="Width" select="10"/>
							</xsl:call-template>
							<xsl:choose>
								<xsl:when test="(position() mod 2) != 0">
									<xsl:text>    </xsl:text>
								</xsl:when>
								<xsl:otherwise>
									<xsl:text>\par&#13;&#10;</xsl:text>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:if>
				</xsl:for-each>
				<xsl:text>\par&#13;&#10;</xsl:text>
			</xsl:if>
			<!-- ***************************************** Ausgabe des Auftrag/Abtrag-Protokolls ***************************************** -->
			<xsl:if test="$sp='0'">
				<xsl:text>\par\par&#13;&#10;</xsl:text>
			</xsl:if>
			<xsl:if test="$sp='1'">
				<xsl:text>\par\page</xsl:text>
			</xsl:if>
			<xsl:if test="$scp='1'">
				<xsl:if test="$BigPIDs">
					<xsl:value-of select="$strres/s_protocol_title_2"/>
					<xsl:text> \par\par&#13;&#10;</xsl:text>
					<xsl:if test="$tpt='0'">
						<xsl:value-of select="$strres/s_origin_triangles"/>
					</xsl:if>
					<xsl:if test="$tpt='1'">
						<xsl:value-of select="$strres/s_target_triangles"/>
					</xsl:if>
					<xsl:text>\par\par&#13;&#10;</xsl:text>
					<xsl:value-of select="$strres/s_protocol_header_1_2"/>
					<xsl:text>\par&#13;&#10;</xsl:text>
					<xsl:value-of select="$strres/s_protocol_header_2_2"/>
					<xsl:text>\b0\par&#13;&#10;</xsl:text>
					<xsl:text>---------------------------------------------------------------------------------------------------------\par&#13;&#10;</xsl:text>
					<xsl:for-each select="cutfill_protocol">
						<xsl:if test="($tpt='1' and @base_horizon='2') or ($tpt='0' and @base_horizon='1')">
							<xsl:for-each select="triangle">
								<xsl:text>\par&#13;&#10;</xsl:text>
								<xsl:text>-----------------------------------------------------------------------------------------------------------\par&#13;&#10;</xsl:text>
								<xsl:if test="$tpt='0'">
									<xsl:value-of select="$strres/s_v"/>
								</xsl:if>
								<xsl:if test="$tpt='1'">
									<xsl:value-of select="$strres/s_n"/>
								</xsl:if>
								<xsl:call-template name="PadLeft">
									<xsl:with-param name="Text" select="@id"/>
									<xsl:with-param name="Width" select="6"/>
								</xsl:call-template>
								<xsl:text>  </xsl:text>
								<xsl:call-template name="PadLeft">
									<xsl:with-param name="Text" select="@a"/>
									<xsl:with-param name="Width" select="15"/>
								</xsl:call-template>
								<xsl:text>  </xsl:text>
								<xsl:call-template name="PadLeft">
									<xsl:with-param name="Text" select="@b"/>
									<xsl:with-param name="Width" select="15"/>
								</xsl:call-template>
								<xsl:text>  </xsl:text>
								<xsl:call-template name="PadLeft">
									<xsl:with-param name="Text" select="@c"/>
									<xsl:with-param name="Width" select="15"/>
								</xsl:call-template>
								<xsl:for-each select="triangle">
									<xsl:text>\par&#13;&#10;</xsl:text>
									<xsl:if test="$tpt='0'">
										<xsl:value-of select="$strres/s_n"/>
										<xsl:text>N </xsl:text>
									</xsl:if>
									<xsl:if test="$tpt='1'">
										<xsl:value-of select="$strres/s_v"/>
									</xsl:if>
									<xsl:call-template name="PadLeft">
										<xsl:with-param name="Text" select="@id"/>
										<xsl:with-param name="Width" select="6"/>
									</xsl:call-template>
									<xsl:text>  </xsl:text>
									<xsl:call-template name="PadLeft">
										<xsl:with-param name="Text" select="@a"/>
										<xsl:with-param name="Width" select="15"/>
									</xsl:call-template>
									<xsl:text>  </xsl:text>
									<xsl:call-template name="PadLeft">
										<xsl:with-param name="Text" select="@b"/>
										<xsl:with-param name="Width" select="15"/>
									</xsl:call-template>
									<xsl:text>  </xsl:text>
									<xsl:call-template name="PadLeft">
										<xsl:with-param name="Text" select="@c"/>
										<xsl:with-param name="Width" select="15"/>
									</xsl:call-template>
									<xsl:text>  </xsl:text>
									<xsl:if test="not($cft='1')">
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="format-number(@cutarea,'#0,000','european')"/>
											<xsl:with-param name="Width" select="10"/>
										</xsl:call-template>
										<xsl:text>  </xsl:text>
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="format-number(@cutvolume,'#0,000','european')"/>
											<xsl:with-param name="Width" select="10"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="$cft='1'">
										<xsl:text>         -           -</xsl:text>
									</xsl:if>
									<xsl:text>  </xsl:text>
									<xsl:if test="not($cft='2')">
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="format-number(@fillarea,'#0,000','european')"/>
											<xsl:with-param name="Width" select="10"/>
										</xsl:call-template>
										<xsl:text>  </xsl:text>
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="format-number(@fillvolume,'#0,000','european')"/>
											<xsl:with-param name="Width" select="10"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="$cft='2'">
										<xsl:text>         -           -</xsl:text>
									</xsl:if>
								</xsl:for-each>
							</xsl:for-each>
							<xsl:text>\par&#13;&#10;</xsl:text>
							<xsl:text>-----------------------------------------------------------------------------------------------------------\par\b&#13;&#10;</xsl:text>
							<xsl:text>  </xsl:text>
							<xsl:if test="not($cft='1')">
								<xsl:call-template name="PadLeft">
									<xsl:with-param name="Text" select="format-number(summary/@cutarea,'#0,000','european')"/>
									<xsl:with-param name="Width" select="69"/>
								</xsl:call-template>
								<xsl:text>  </xsl:text>
								<xsl:call-template name="PadLeft">
									<xsl:with-param name="Text" select="format-number(summary/@cutvolume,'#0,000','european')"/>
									<xsl:with-param name="Width" select="10"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="$cft='1'">
								<xsl:text>                                                                    -           -</xsl:text>
							</xsl:if>
							<xsl:text>  </xsl:text>
							<xsl:if test="not($cft='2')">
								<xsl:call-template name="PadLeft">
									<xsl:with-param name="Text" select="format-number(summary/@fillarea,'#0,000','european')"/>
									<xsl:with-param name="Width" select="10"/>
								</xsl:call-template>
								<xsl:text>  </xsl:text>
								<xsl:call-template name="PadLeft">
									<xsl:with-param name="Text" select="format-number(summary/@fillvolume,'#0,000','european')"/>
									<xsl:with-param name="Width" select="10"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="$cft='2'">
								<xsl:text>         -           -</xsl:text>
							</xsl:if>
						</xsl:if>
					</xsl:for-each>
					<xsl:text>\b0\par&#13;&#10;</xsl:text>
						<xsl:text>                                                      =====================================================\par&#13;&#10;</xsl:text>
				</xsl:if>
				<xsl:if test="not($BigPIDs)">
					<xsl:value-of select="$strres/s_protocol_title"/>
					<xsl:text>\par\par&#13;&#10;</xsl:text>
					<xsl:if test="$tpt='0'">
						<xsl:value-of select="$strres/s_origin_triangles"/>
					</xsl:if>
					<xsl:if test="$tpt='1'">
						<xsl:value-of select="$strres/s_target_triangles"/>
					</xsl:if>
					<xsl:text>\par\par&#13;&#10;</xsl:text>
					<xsl:value-of select="$strres/s_protocol_header_1"/>
					<xsl:text>\par&#13;&#10;</xsl:text>
					<xsl:value-of select="$strres/s_protocol_header_2"/>					
					<xsl:text>&#13;&#10;\b0</xsl:text>
					<xsl:for-each select="cutfill_protocol">
						<xsl:if test="($tpt='1' and @base_horizon='2') or ($tpt='0' and @base_horizon='1')">
							<xsl:for-each select="triangle">
								<xsl:text>\par&#13;&#10;</xsl:text>
								<xsl:text>-----------------------------------------------------------------------------------------\par&#13;&#10;</xsl:text>
								<xsl:if test="$tpt='0'">
									<xsl:value-of select="$strres/s_v"/>
								</xsl:if>
								<xsl:if test="$tpt='1'">
									<xsl:value-of select="$strres/s_n"/>
								</xsl:if>
								<xsl:call-template name="PadLeft">
									<xsl:with-param name="Text" select="@id"/>
									<xsl:with-param name="Width" select="7"/>
								</xsl:call-template>
								<xsl:text>  </xsl:text>
								<xsl:call-template name="PadLeft">
									<xsl:with-param name="Text" select="@a"/>
									<xsl:with-param name="Width" select="6"/>
								</xsl:call-template>
								<xsl:text>  </xsl:text>
								<xsl:call-template name="PadLeft">
									<xsl:with-param name="Text" select="@b"/>
									<xsl:with-param name="Width" select="8"/>
								</xsl:call-template>
								<xsl:text>  </xsl:text>
								<xsl:call-template name="PadLeft">
									<xsl:with-param name="Text" select="@c"/>
									<xsl:with-param name="Width" select="8"/>
								</xsl:call-template>
								<xsl:for-each select="triangle">
									<xsl:text>\par&#13;&#10;</xsl:text>
									<xsl:if test="$tpt='0'">
										<xsl:value-of select="$strres/s_n"/>
									</xsl:if>
									<xsl:if test="$tpt='1'">
										<xsl:value-of select="$strres/s_v"/>
									</xsl:if>
									<xsl:call-template name="PadLeft">
										<xsl:with-param name="Text" select="@id"/>
										<xsl:with-param name="Width" select="7"/>
									</xsl:call-template>
									<xsl:text>  </xsl:text>
									<xsl:call-template name="PadLeft">
										<xsl:with-param name="Text" select="@a"/>
										<xsl:with-param name="Width" select="6"/>
									</xsl:call-template>
									<xsl:text>  </xsl:text>
									<xsl:call-template name="PadLeft">
										<xsl:with-param name="Text" select="@b"/>
										<xsl:with-param name="Width" select="8"/>
									</xsl:call-template>
									<xsl:text>  </xsl:text>
									<xsl:call-template name="PadLeft">
										<xsl:with-param name="Text" select="@c"/>
										<xsl:with-param name="Width" select="8"/>
									</xsl:call-template>
									<xsl:text>  </xsl:text>
									<xsl:if test="not($cft='1')">
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="format-number(@cutarea,'#0,000','european')"/>
											<xsl:with-param name="Width" select="12"/>
										</xsl:call-template>
										<xsl:text>  </xsl:text>
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="format-number(@cutvolume,'#0,000','european')"/>
											<xsl:with-param name="Width" select="11"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="$cft='1'">
										<xsl:text>       -            -    </xsl:text>
									</xsl:if>
									<xsl:text>  </xsl:text>
									<xsl:if test="not($cft='2')">
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="format-number(@fillarea,'#0,000','european')"/>
											<xsl:with-param name="Width" select="11"/>
										</xsl:call-template>
										<xsl:text>  </xsl:text>
										<xsl:call-template name="PadLeft">
											<xsl:with-param name="Text" select="format-number(@fillvolume,'#0,000','european')"/>
											<xsl:with-param name="Width" select="11"/>
										</xsl:call-template>
									</xsl:if>
									<xsl:if test="$cft='2'">
										<xsl:text>      -            -    </xsl:text>
									</xsl:if>
								</xsl:for-each>
							</xsl:for-each>
							<xsl:text>\par&#13;&#10;</xsl:text>
							<xsl:text>-----------------------------------------------------------------------------------------\par\b&#13;&#10;</xsl:text>
							<xsl:text>  </xsl:text>
							<xsl:if test="not($cft='1')">
								<xsl:call-template name="PadLeft">
									<xsl:with-param name="Text" select="format-number(summary/@cutarea,'#0,000','european')"/>
									<xsl:with-param name="Width" select="48"/>
								</xsl:call-template>
								<xsl:text>  </xsl:text>
								<xsl:call-template name="PadLeft">
									<xsl:with-param name="Text" select="format-number(summary/@cutvolume,'#0,000','european')"/>
									<xsl:with-param name="Width" select="11"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="$cft='1'">
								<xsl:text>                                           -            -    </xsl:text>
							</xsl:if>
							<xsl:text>  </xsl:text>
							<xsl:if test="not($cft='2')">
								<xsl:call-template name="PadLeft">
									<xsl:with-param name="Text" select="format-number(summary/@fillarea,'#0,000','european')"/>
									<xsl:with-param name="Width" select="11"/>
								</xsl:call-template>
								<xsl:text>  </xsl:text>
								<xsl:call-template name="PadLeft">
									<xsl:with-param name="Text" select="format-number(summary/@fillvolume,'#0,000','european')"/>
									<xsl:with-param name="Width" select="11"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="$cft='2'">
								<xsl:text>      -            -    </xsl:text>
							</xsl:if>
						</xsl:if>
					</xsl:for-each>
					<xsl:text>\b0\par                                          ================================================\par&#13;&#10;</xsl:text>
				</xsl:if>
			</xsl:if>
			<!-- ***************************************** Ausgabe des Flchen-Protokolls ***************************************** -->
			<xsl:if test="$scp='0'">
				<xsl:if test="$BigPIDs">
					<xsl:value-of select="$strres/s_area_title_2"/>
					<xsl:text>\par\par&#13;&#10;</xsl:text>
					<xsl:for-each select="cutfill_protocol">
						<xsl:if test="@base_horizon='1'">
							<xsl:text>\b </xsl:text>
							<xsl:value-of select="$strres/s_initial_survey_2"/>
							<xsl:text>\par&#13;&#10;</xsl:text>
						</xsl:if>
						<xsl:if test="@base_horizon='2'">
							<xsl:text>\par\par\b </xsl:text>
							<xsl:value-of select="$strres/s_final_survey_2"/>
							<xsl:text>\par&#13;&#10;</xsl:text>
						</xsl:if>
						<xsl:text>\b0</xsl:text>
						<xsl:value-of select="$strres/s_area_header_1_2"/>
						<xsl:text>\b0\par&#13;&#10;</xsl:text>
						<xsl:value-of select="$strres/s_area_header_2_2"/>
						<xsl:text>\b0\par&#13;&#10;</xsl:text>
						<xsl:text>------------------------------------------------------------------------------------------------\par&#13;&#10;</xsl:text>
						<xsl:for-each select="triangle">
							<xsl:call-template name="PadLeft">
								<xsl:with-param name="Text" select="@id"/>
								<xsl:with-param name="Width" select="6"/>
							</xsl:call-template>
							<xsl:text>  </xsl:text>
							<xsl:call-template name="PadLeft">
								<xsl:with-param name="Text" select="@a"/>
								<xsl:with-param name="Width" select="15"/>
							</xsl:call-template>
							<xsl:text>  </xsl:text>
							<xsl:call-template name="PadLeft">
								<xsl:with-param name="Text" select="@b"/>
								<xsl:with-param name="Width" select="15"/>
							</xsl:call-template>
							<xsl:text>  </xsl:text>
							<xsl:call-template name="PadLeft">
								<xsl:with-param name="Text" select="@c"/>
								<xsl:with-param name="Width" select="15"/>
							</xsl:call-template>
							<xsl:text>  </xsl:text>
							<xsl:if test="not($cft='2')">
								<xsl:call-template name="PadLeft">
									<xsl:with-param name="Text" select="format-number(summary/@fillarea,'#0,000','european')"/>
									<xsl:with-param name="Width" select="11"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="$cft='2'">
								<xsl:text>          -</xsl:text>
							</xsl:if>
							<xsl:text>  </xsl:text>
							<xsl:if test="not($cft='1')">
								<xsl:call-template name="PadLeft">
									<xsl:with-param name="Text" select="format-number(summary/@cutarea,'#0,000','european')"/>
									<xsl:with-param name="Width" select="11"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="$cft='1'">
								<xsl:text>          -</xsl:text>
							</xsl:if>
							<xsl:text>  </xsl:text>
							<xsl:call-template name="PadLeft">
								<xsl:with-param name="Text" select="format-number(summary/@surface,'#0,000','european')"/>
								<xsl:with-param name="Width" select="11"/>
							</xsl:call-template>
							<xsl:text>\par&#13;&#10;</xsl:text>
						</xsl:for-each>
						<xsl:text>\b ------------------------------------------------------------------------------------------------\par\b&#13;&#10;</xsl:text>
						<xsl:text>  </xsl:text>
						<xsl:if test="not($cft='2')">
							<xsl:call-template name="PadLeft">
								<xsl:with-param name="Text" select="format-number(summary/@fillarea,'#0,000','european')"/>
								<xsl:with-param name="Width" select="68"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="$cft='2'">
							<xsl:text>                                                                   -</xsl:text>
						</xsl:if>
						<xsl:text>  </xsl:text>
						<xsl:if test="not($cft='1')">
							<xsl:call-template name="PadLeft">
								<xsl:with-param name="Text" select="format-number(summary/@cutarea,'#0,000','european')"/>
								<xsl:with-param name="Width" select="11"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="$cft='1'">
							<xsl:text>          -</xsl:text>
						</xsl:if>
						<xsl:text>  </xsl:text>
						<xsl:call-template name="PadLeft">
							<xsl:with-param name="Text" select="format-number(summary/@surface,'#0,000','european')"/>
							<xsl:with-param name="Width" select="11"/>
						</xsl:call-template>
						<xsl:text>\b0\par                                                           ======================================\par&#13;&#10;</xsl:text>
					</xsl:for-each>
				</xsl:if>
				<xsl:if test="not($BigPIDs)">
					<xsl:value-of select="$strres/s_area_title"/>
					<xsl:text>\par\par&#13;&#10;</xsl:text>
					<xsl:for-each select="cutfill_protocol">
						<xsl:if test="@base_horizon='1'">
							<xsl:text>\b </xsl:text>
							<xsl:value-of select="$strres/s_initial_survey_2"/>
							<xsl:text>\par&#13;&#10;</xsl:text>
						</xsl:if>
						<xsl:if test="@base_horizon='2'">
							<xsl:text>\par\par\b </xsl:text>
							<xsl:value-of select="$strres/s_final_survey_2"/>
							<xsl:text>\par&#13;&#10;</xsl:text>
						</xsl:if>
						<xsl:value-of select="$strres/s_area_header_1"/>
						<xsl:text>\b0\par&#13;&#10;</xsl:text>
						<xsl:value-of select="$strres/s_area_header_2"/>
						<xsl:text>\b0\par&#13;&#10;</xsl:text>
						<xsl:text>--------------------------------------------------------------------------------------\par&#13;&#10;</xsl:text>
						<xsl:for-each select="triangle">
							<xsl:call-template name="PadLeft">
								<xsl:with-param name="Text" select="@id"/>
								<xsl:with-param name="Width" select="6"/>
							</xsl:call-template>
							<xsl:text>  </xsl:text>
							<xsl:call-template name="PadLeft">
								<xsl:with-param name="Text" select="@a"/>
								<xsl:with-param name="Width" select="6"/>
							</xsl:call-template>
							<xsl:text>  </xsl:text>
							<xsl:call-template name="PadLeft">
								<xsl:with-param name="Text" select="@b"/>
								<xsl:with-param name="Width" select="8"/>
							</xsl:call-template>
							<xsl:text>  </xsl:text>
							<xsl:call-template name="PadLeft">
								<xsl:with-param name="Text" select="@c"/>
								<xsl:with-param name="Width" select="8"/>
							</xsl:call-template>
							<xsl:text>  </xsl:text>
							<xsl:if test="not($cft='2')">
								<xsl:call-template name="PadLeft">
									<xsl:with-param name="Text" select="format-number(summary/@fillarea,'#0,000','european')"/>
									<xsl:with-param name="Width" select="17"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="$cft='2'">
								<xsl:text>            -    </xsl:text>
							</xsl:if>
							<xsl:text>  </xsl:text>
							<xsl:if test="not($cft='1')">
								<xsl:call-template name="PadLeft">
									<xsl:with-param name="Text" select="format-number(summary/@cutarea,'#0,000','european')"/>
									<xsl:with-param name="Width" select="16"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="$cft='1'">
								<xsl:text>           -    </xsl:text>
							</xsl:if>
							<xsl:text>  </xsl:text>
							<xsl:call-template name="PadLeft">
								<xsl:with-param name="Text" select="format-number(summary/@surface,'#0,000','european')"/>
								<xsl:with-param name="Width" select="13"/>
							</xsl:call-template>
							<xsl:text>\par&#13;&#10;</xsl:text>
						</xsl:for-each>
						<xsl:text>\b --------------------------------------------------------------------------------------\par\b&#13;&#10;</xsl:text>
						<xsl:text>  </xsl:text>
						<xsl:if test="not($cft='2')">
							<xsl:call-template name="PadLeft">
								<xsl:with-param name="Text" select="format-number(summary/@fillarea,'#0,000','european')"/>
								<xsl:with-param name="Width" select="51"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="$cft='2'">
							<xsl:text>                                              -    </xsl:text>
						</xsl:if>
						<xsl:text>  </xsl:text>
						<xsl:if test="not($cft='1')">
							<xsl:call-template name="PadLeft">
								<xsl:with-param name="Text" select="format-number(summary/@cutarea,'#0,000','european')"/>
								<xsl:with-param name="Width" select="16"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="$cft='1'">
							<xsl:text>           -    </xsl:text>
						</xsl:if>
						<xsl:text>  </xsl:text>
						<xsl:call-template name="PadLeft">
							<xsl:with-param name="Text" select="format-number(summary/@surface,'#0,000','european')"/>
							<xsl:with-param name="Width" select="13"/>
						</xsl:call-template>
						<xsl:text>\b0\par                                      =================================================\par&#13;&#10;</xsl:text>
					</xsl:for-each>
				</xsl:if>
			</xsl:if>
		</xsl:for-each>
		<xsl:text>\par\par\par}</xsl:text>
	</xsl:template>
</xsl:stylesheet>
